<%@ page language="java" import="java.util.*" %>
<%@ page language="java" import="java.net.*" %>
<%@ page language="java" import="com.nonesole.web.platform.*" %>
<%@ page language="java" import="com.nonesole.web.platform.pages.*" %>
<%@ page language="java" import="com.nonesole.web.platform.i18n.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.*" %>
<%@ page language="java" import="com.nonesole.web.platform.access.*" %>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%> 
<%
request.setAttribute(ParameterEnum.ACTION.toString(), IAccess.FUNCTION_GET_DETAIL);
ActionControler.getInstance().doAction(request, response);
Pages<List<AccessInfo>> pages = (Pages<List<AccessInfo>>)request.getAttribute(IAccess.ATTR_ACCESS_DETAIL);
pages = pages==null?new Pages<List<AccessInfo>>(request):pages;
List<AccessInfo> infoList = pages.getList(); 
%>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">
    <title><%=LocaleToolkit.getLocaleString(request, "page_access_detail_title") %></title>
    <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="../datetimepicker/css/bootstrap-datetimepicker.min.css" rel="stylesheet" media="screen">
	<link href="../css/01.css" rel="stylesheet">
	<script src="../js/ie-emulation-modes-warning.js"></script>
	<!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	<!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
      <script src="../js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
      <div class="panel panel-info">
      <!-- Default panel contents -->
      <div class="panel-heading list_page_title"><%=LocaleToolkit.getLocaleString(request, "page_access_detail_title") %></div>
      <div class="panel-body">
        <form method="post" action="detail.jsp">
        	<table>
        		<tr>
        			<td width="100" class="td_1"><%=LocaleToolkit.getLocaleString(request, "page_access_detail_label_1") %></td>
        			<td class="td_1">
        			<%=AccessAction.vlSelectHtml(IAccess.RESOURCE, PlatformTools.getRequestParameter(request, IAccess.RESOURCE), 
					AccessStatistics.resources) %>
					</td>
        			<td width="100" class="td_1"><%=LocaleToolkit.getLocaleString(request, "page_access_detail_label_2") %></td>
        			<td class="td_1">
        			<%=AccessAction.vmSelectHtml(IAccess.OS, PlatformTools.getRequestParameter(request, IAccess.OS), 
					AccessStatistics.osKeys, AccessStatistics.osMap) %>
					</td>
					<td width="100" class="td_1"><%=LocaleToolkit.getLocaleString(request, "page_access_detail_label_3") %></td>
        			<td>
        			<%=AccessAction.vmSelectHtml(IAccess.BROWSER, PlatformTools.getRequestParameter(request, IAccess.BROWSER), 
					AccessStatistics.browserKeys, AccessStatistics.browserMap) %>
        			</td>
        		</tr>
        		<tr>
        			<td class="td_1"><%=LocaleToolkit.getLocaleString(request, "page_access_detail_label_4") %></td>
        			<td class="td_1">
        			<%=AccessAction.vmSelectHtml(IAccess.MOBILE, PlatformTools.getRequestParameter(request, IAccess.MOBILE), 
					AccessStatistics.clientKeys, AccessStatistics.clientMap) %>
        			</td>
        			<td class="td_1"><%=LocaleToolkit.getLocaleString(request, "page_access_detail_label_5") %></td>
        			<td class="td_1">
        			<%=AccessAction.vmSelectHtml(IAccess.SEARCH_ENGINE, PlatformTools.getRequestParameter(request, IAccess.SEARCH_ENGINE), 
					AccessStatistics.searchEngineKeys, AccessStatistics.searchEngineMap) %>
        			</td>
        			<td class="td_1"><%=LocaleToolkit.getLocaleString(request, "page_access_detail_label_6") %></td>
        			<td class="td_1">
        			<%String ip = PlatformTools.getRequestParameter(request, IAccess.PARAM_IP); %>
        			<input type="text" name="<%=IAccess.PARAM_IP %>" class="input_width_1 form-control input-sm"  value="<%=ip==null?"":ip %>"/>
        			</td>
        		</tr>
        		<tr>
        			<td class="td_1"><%=LocaleToolkit.getLocaleString(request, "page_access_detail_label_7") %></td>
        			<td colspan="1" class="td_1">
        			<%String userAgent = PlatformTools.getRequestParameter(request, IAccess.USER_AGENT); %>
        			<input type="text" name="<%=IAccess.USER_AGENT %>" class="input_width_1 form-control input-sm" value="<%=userAgent==null?"":userAgent %>"/>
        			</td>
        			<td class="td_1"><%=LocaleToolkit.getLocaleString(request, "page_access_detail_label_8") %></td>
        			<td class="td_1">
        			<%String startTime = PlatformTools.getRequestParameter(request, IAccess.START_TIME); %>
        			<input type="text" value="<%=startTime==null?"":startTime %>" id="startTimePicker" name="<%=IAccess.START_TIME %>" class="input_width_1 form-control input-sm" />
        			</td>
        			<td class="td_1"><%=LocaleToolkit.getLocaleString(request, "page_access_detail_label_9") %></td>
        			<td class="td_1">
        			<%String endTime = PlatformTools.getRequestParameter(request, IAccess.END_TIME); %>
        			<input type="text" value="<%=endTime==null?"":endTime %>" id="endTimePicker" name="<%=IAccess.END_TIME %>" class="input_width_1 form-control input-sm" />
        			</td>
        		</tr>
        	</table>
        	<br/>
			<button type="submit" id="querybtn" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_access_detail_btn_1") %></button>
			<input type="hidden" name="<%=ParameterEnum.ACTION.toString() %>" value="<%=IAccess.FUNCTION_GET_DETAIL %>" />
		</form>
      </div>
	  <input type="hidden" id="page-size" value="<%=pages.getNumberOfRows() %>">
	  	  
      <!-- Table -->
      <table class="table table-bordered">
        <thead>
          <tr>
            <th class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_detail_label_10") %></th>
			<th class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_detail_label_11") %></th>
            <th class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_detail_label_12") %></th>
            <th class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_detail_label_13") %></th>
            <th class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_detail_label_14") %></th>
            <th class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_detail_label_15") %></th>
            <th class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_detail_label_16") %></th>
            <th class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_detail_label_17") %></th>
          </tr>
        </thead>
        <tbody>
          <%
          if ( infoList != null && !infoList.isEmpty() ) {
        	  int rowNumber = 1;
        	  for ( AccessInfo info : infoList ) {
          %>
          <tr>
            <td width="20"><%=info.getId() %></td>
			<td width="100"><%=info.getIp() %></td>
			<td width="100"><%=info.getCountry() %></td>
			<td width="100"><%=PlatformTools.getFormatTime(info.getVtime(), IAccess.TIME_FORMAT) %></td>
			<td width="100"><%=info.getSourceName(request) %></td>
			<td width="100"><%=info.getTarget_url() %></td>
			<td width="100"><%=info.getOs() %></td>
			<td width="100"><%=info.getBrowser() %></td>
          </tr>
          <%
              rowNumber++;
        	  }
          }
          %>
        </tbody>
      </table>
    </div>
    
    <!-- TODO 可以抽象出来的翻页代码 -->
	<!-- div class="manu"><span class="disabled"> <  Prev</span><span class="current">1</span><a href="#?page=2">2</a><a href="#?page=3">3</a><a href="#?page=4">4</a><a href="#?page=5">5</a><a href="#?page=6">6</a><a href="#?page=7">7</a>...<a href="#?page=199">199</a><a href="#?page=200">200</a><a href="#?page=2">Next  > </a></div -->
	<%=pages.toHTML() %>

    <script src="../bootstrap/js/jquery.min.js"></script>
    <script src="../bootstrap/js/bootstrap.min.js"></script>
    <script src="../bootstrap/js/ie10-viewport-bug-workaround.js"></script>
  	<script src="../js/jquery.cookie.js"></script>
  	<script src="../js/access.js"></script>
  	<script type="text/javascript" src="../datetimepicker/js/bootstrap-datetimepicker.js" charset="UTF-8"></script>
	<script type="text/javascript" src="../datetimepicker/js/locales/bootstrap-datetimepicker.zh-CN.js" charset="UTF-8"></script>
  	<script>
  	$(document).ready(function(){
  		if ( $.cookie('message') ) {
  			//处理Message
  			alert($.cookie('message'));
  			$.cookie('message','', {path:"/",expires:-1});
  		}
  	});
  	$('#startTimePicker').datetimepicker({
        language:  'zh-CN',
        weekStart: 1,
        todayBtn:  1,
		autoclose: 1,
		todayHighlight: 1,
		startView: 1,
		minView: 0,
		maxView: 1,
		forceParse: 0
    });
  	$('#endTimePicker').datetimepicker({
        language:  'zh-CN',
        weekStart: 1,
        todayBtn:  1,
		autoclose: 1,
		todayHighlight: 1,
		startView: 1,
		minView: 0,
		maxView: 1,
		forceParse: 0
    });
  	</script>
  </body>
</html>
