<%@ page language="java" import="com.nonesole.web.platform.*" %>
<%@ page language="java" import="com.nonesole.web.platform.i18n.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.user.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.menu.*" %>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%
boolean isAdmin = AccessFilter.isAdmin(request);
MenuTree mt = ActionControler.getInstance().getUserMenu(request);
String topMenu = "";
String leftMenu = "";

if ( mt == null ){
	if ( !isAdmin ) {
		out.print(LocaleToolkit.getLocaleString(request, "page_bindex_error_1"));
		out.flush();
		return;
	}
} else {
	topMenu = mt.getTopMenu();
	leftMenu = mt.getLeftMenu();
}

User user = PlatformTools.getUser(request);

%>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta name="renderer" content="webkit">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="../../favicon.ico">
    <title><%=LocaleToolkit.getLocaleString(request, "page_bindex_title") %></title>
    <link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="bootstrap/css/dashboard.css" rel="stylesheet">
	<link href="css/01.css" rel="stylesheet">
	<link href="css/02.css" rel="stylesheet">
    <link href="css/starter-template.css" rel="stylesheet">
    <script src="js/ie-emulation-modes-warning.js"></script>
    <!--[if lt IE 9]>
      <script src="js/html5shiv.min.js"></script>
      <script src="js/respond.min.js"></script>
    <![endif]-->
	
	<!-- link rel="stylesheet" href="css/demo.css" type="text/css" -->
	<link rel="stylesheet" href="css/zTreeStyle/zTreeStyle.css" type="text/css">
	
	
  </head>

  <body>
    <nav class="navbar navbar-default navbar-fixed-top roya_top">
	  <div class="container-fluid">
	    <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target=".navbar-collapse">
              <span class="sr-only">Toggle navigation</span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand t1" href="#"><%=LocaleToolkit.getLocaleString(request, "page_bindex_label_1") %></a>
        </div>
		<div id="navbar" class="navbar-collapse collapse">
		  <ul class="nav navbar-nav">
		    <%if ( isAdmin ) { %>
		    <li><a class="ft2" href="#" onclick="toMenu(-1)"><%=LocaleToolkit.getLocaleString(request, "page_bindex_label_2") %></a></li>
		    <%} %>
			<%=topMenu %>
		  </ul>
		  <form class="navbar-right" method="post" action="logoutAction" id="logout">
			  <ul class="nav navbar-nav">
			  	<li class="ft2 login_name">
			  	<span class="glyphicon glyphicon-user" aria-hidden="true"></span>
			  	<%=user!=null?user.getLogin_name():"" %><%=LocaleToolkit.getLocaleString(request, "page_bindex_label_3") %>
			  	</li>
			  	<li><a class="ft2" href="#" onclick="logout()"><%=LocaleToolkit.getLocaleString(request, "page_bindex_label_4") %></a></li>
			  </ul>
		  </form>
		</div><!-- /.navbar-collapse -->
	  </div><!-- /.container-fluid -->
	</nav>
	
	<p>&nbsp;</p>
	
      <!-- Example row of columns -->
	 
	 <div class="container-fluid">
      <div class="row">
        <div id="left" class="col-sm-3 col-md-2 sidebar tree-size">
        	<input type="hidden" id="defaultMenuId" value="<%=isAdmin?-1:mt.getFirstTopNodeId() %>" />
        	<%if ( isAdmin ) { %>
		    <ul class="nav navbar-nav navbar-left" id="menu-1" name="leftmenu">            
            <li class="leaf-menu-item">
              <a onclick="toUrl('sys/users.jsp')" href="#">
              <span class="glyphicon glyphicon-user" aria-hidden="true"></span>&nbsp;
              	<%=LocaleToolkit.getLocaleString(request, "page_bindex_label_5") %>
              </a>
            </li>
            <li class="leaf-menu-item">
              <a onclick="toUrl('sys/users_detail.jsp')" href="#">
              <span class="glyphicon glyphicon-info-sign" aria-hidden="true"></span>&nbsp;
              	<%=LocaleToolkit.getLocaleString(request, "page_bindex_label_6") %>
              </a>
            </li>
            <li class="leaf-menu-item">
              <a onclick="toUrl('sys/roles.jsp')" href="#">
              <span class="glyphicon glyphicon-th-large" aria-hidden="true"></span>&nbsp;
              	<%=LocaleToolkit.getLocaleString(request, "page_bindex_label_7") %>
              </a>
            </li>
			<li class="leaf-menu-item">
			  <a onclick="toUrl('sys/menus.jsp')" href="#">
			  <span class="glyphicon glyphicon-th-list" aria-hidden="true"></span>&nbsp;
			  	<%=LocaleToolkit.getLocaleString(request, "page_bindex_label_8") %>
			  </a>
			</li>
            <li class="leaf-menu-item">
              <a onclick="toUrl('sys/functions.jsp')" href="#">
              <span class="glyphicon glyphicon-cog" aria-hidden="true"></span>&nbsp;
              	<%=LocaleToolkit.getLocaleString(request, "page_bindex_label_9") %>
              </a>
            </li>
          </ul>
          <%} %>
          <%=leftMenu %>
        </div>
     
		<div class="handler" id="handler">
        </div>
	    <div class="col-sm-10 col-sm-offset-2 iframe-size" id="center">
		<!--屏蔽对iframe的影响-->
		<div id="hideframeidv" style="position:absolute; left:0; top:0; width: 100%; height: 100%; z-index: 10; background-color: white; filter: alpha(opacity=0);-webkit-box-shadow: none;box-shadow: none;opacity: 0;"></div> 
		<iframe src="bwelcome.jsp" class="frame-1" id="innerpage"></iframe>
		</div>
	  </div>
    </div>
    <script src="bootstrap/js/jquery.min.js"></script>
    <script src="bootstrap/js/bootstrap.min.js"></script>
    <script src="bootstrap/js/ie10-viewport-bug-workaround.js"></script>
	<script type="text/javascript" src="js/jquery.ztree.core.min.js"></script>
	<script src="js/jquery.cookie.js"></script>
	<script src="js/access.js"></script>
	<script>
    	var toUrl = function(url){
    		$("#innerpage").prop("src",url);
    	}
    	var toMenu = function(id){
    		$("ul[name='leftmenu']").css("display","none");
    		$("#menu"+id).css("display","block");
    	}
    	var logout = function(){
    		$("#logout").submit();
    	}
    	
    </script>
	<script>
            jQuery(function ($){
                var doc = $(document), dl = $("div#left"), dc = $("div#center"),
				handler=$("div#handler"), frame=$("div#innerpage");
				var leftWidth=dl.width();
				var isearch=$("#isearch");
				var handlerMouseDown=false;
                var sum = dl.width() + dc.width() + 
                handler.mousedown (function (e) {
					handlerMouseDown=true;
					$("#hideframeidv").show();
                    var me = $(this);
                    var deltaX = e.clientX 
                            - 
                            (parseFloat(me.css("left")) || parseFloat(me.prop("clientLeft")));
                    doc.mousemove(function (e){
                        var lt = e.clientX - deltaX + leftWidth; 
                        lt = lt < 0 ? 0 : lt;
                        lt = lt > sum - me.width() ? sum - me.width() : lt;
						//isearch.val("e.clientX : "+e.clientX+", deltaX : ,"+ deltaX +", left-size:"+lt +" left width:"+leftWidth);
                        me.css ("left", lt + "px");
                        dl.width(lt);
                        $("ul[name='leftmenu']").css("width",lt);
						handler.css("margin-left","0px");
                        dc.width(sum-lt-me.width());
						dc.css ("margin-left", lt+5 + "px");
						frame.width(sum-lt-me.width());
						frame.css ("margin-left", lt+5 + "px");
                    });
                }).width();
 
                doc.mouseup (function(){
                    doc.unbind("mousemove");
					frame.unbind("mousemove");
					$("#hideframeidv").hide();
					if ( handlerMouseDown ) {
						leftWidth=0;
					}
                });
                doc[0].ondragstart 
                = doc[0].onselectstart 
                = function () 
                {
                    return false;
                };
                
                var menuId = $("#defaultMenuId").val();
                toMenu(menuId);
            });
    </script>
  </body>
</html>
