<%@ page language="java" import="com.nonesole.web.platform.*" %>
<%@ page language="java" import="com.nonesole.web.platform.i18n.*" %>
<%@ page language="java" import="com.nonesole.web.platform.safe.*" %>
<%@ page language="java" import="com.nonesole.web.platform.safe.verificationcode.*" %>
<%@ page language="java" import="javax.servlet.http.*"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
   
<%
String title = LocaleToolkit.getLocaleString(request, "page_safe_code_title");
request.setAttribute(ParameterEnum.ACTION.toString(), IVerificationCode.PARAM_GET);
ActionControler ac = ActionControler.getInstance();
ac.doAction(request, response);
Object obj = request.getAttribute(IVerificationCode.ATTR_CODE);
Code code = null;
if ( obj == null ) {
	code = new Code();
} else {
	code = (Code)obj;
}


%>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">
    <title><%=title %></title>
    <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="../css/01.css" rel="stylesheet">
	<script src="../js/ie-emulation-modes-warning.js"></script>
	<!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	<!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
      <script src="../js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
      <form method="post" action="../action">
      <input type="hidden" name="<%=ParameterEnum.ACTION.toString() %>" value="<%=IVerificationCode.PARAM_SAVE %>" />
      <div class="panel panel-info">
      <!-- Default panel contents -->
      <div class="panel-heading list_page_title"><%=title %></div>
      <input type="hidden" name="<%=IVerificationCode.PARAM_ID %>" value="<%=code.getId()<1?"":code.getId() %>" />
      <!-- Table -->
      <table class="table table-bordered">
        <tbody>
          <tr class="bg">
            <td class="td_2"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_safe_code_label_2") %></label></td>
            <td class="td_3">
            	<select class="form-control input-sm content_page_width_1" name="<%=IVerificationCode.PARAM_STATUS %>">
					<option value="0" <%=code.getStatus()==0?"selected":"" %>><%=LocaleToolkit.getLocaleString(request, "page_safe_code_label_4") %></option>
					<option value="1" <%=code.getStatus()==1?"selected":"" %>><%=LocaleToolkit.getLocaleString(request, "page_safe_code_label_3") %></option>
				</select>
				<br/>
				<label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_safe_code_label_5") %></label>
            </td>
          </tr>
          <tr class="bg">
            <td class="td2_2"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_safe_code_label_6") %></label></td>
            <td class="td_3">
            	<select class="form-control input-sm content_page_width_1" name="<%=IVerificationCode.PARAM_LEVEL %>">
					<option value="1" <%=code.getLevel()==1?"selected":"" %>><%=LocaleToolkit.getLocaleString(request, "page_safe_code_label_7") %></option>
					<option value="2" <%=code.getLevel()==2?"selected":"" %>><%=LocaleToolkit.getLocaleString(request, "page_safe_code_label_8") %></option>
					<option value="3" <%=code.getLevel()==3?"selected":"" %>><%=LocaleToolkit.getLocaleString(request, "page_safe_code_label_9") %></option>
				</select>
            	<br/>
            	<label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_safe_code_label_10") %></label>
            </td>
          </tr>
          <tr class="bg">
            <td class="td_2"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_safe_code_label_11") %></label></td>
            <td class="td_3">
            	<input type="text" name="<%=IVerificationCode.PARAM_MAX_FAILED_LOGIN %>" value="<%=code.getMax_failed_login() %>" class="form-control input-sm content_page_width_1"  placeholder="">
            	<br/>
            	<label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_safe_code_label_12") %></label>
            </td>
          </tr>
		  <tr class="bg">
            <td>&nbsp;</td>
            <td><button type="submit" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_safe_code_btn_1") %></button></td>
          </tr>
        </tbody>
      </table>
    </div>
	</form>
    <script src="../bootstrap/js/jquery.min.js"></script>
    <script src="../bootstrap/js/bootstrap.min.js"></script>
    <script src="../bootstrap/js/ie10-viewport-bug-workaround.js"></script>
    <script src="../js/jquery.cookie.js"></script>
  	<script src="../js/access.js"></script>
  	<script>
  	$(document).ready(function(){
  		if ( $.cookie('message') ) {
  			//处理Message
  			alert($.cookie('message'));
  			$.cookie('message','', {path:"/",expires:-1});
  		}
  	});
  	</script>
  </body>
</html>