<%@ page language="java" import="com.nonesole.web.platform.*" %>
<%@ page language="java" import="com.nonesole.web.platform.i18n.*" %>
<%@ page language="java" import="com.nonesole.web.platform.safe.*" %>
<%@ page language="java" import="com.nonesole.web.platform.safe.redirect.*" %>
<%@ page language="java" import="javax.servlet.http.*"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
   
<%
String id = "", su = "", tu = "", rs = "";
String title = LocaleToolkit.getLocaleString(request, "page_safe_redirect_title_1");
String action = request.getParameter(ParameterEnum.ACTION.toString());
if ( IRedirect.PARAM_UPDATE.equals(action) ) {
	title = LocaleToolkit.getLocaleString(request, "page_safe_redirect_title_2");
	id = request.getParameter(IRedirect.FIELD_ID);
	su = request.getParameter(IRedirect.FIELD_SOURCE_URL);
	tu = request.getParameter(IRedirect.FIELD_TARGET_URL);
	rs = request.getParameter(IRedirect.FIELD_STATUS);
} else {
	action = IRedirect.PARAM_ADD;
}

%>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">
    <title><%=title %></title>
    <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="../css/01.css" rel="stylesheet">
	<script src="../js/ie-emulation-modes-warning.js"></script>
	<!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	<!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
      <script src="../js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
      <form method="post" action="../action">
      <input type="hidden" name="<%=ParameterEnum.ACTION.toString() %>" value="<%=action %>" />
      <div class="panel panel-info">
      <!-- Default panel contents -->
      <div class="panel-heading list_page_title">
      <a href="redirectlist.jsp"><%=LocaleToolkit.getLocaleString(request, "page_safe_redirectlist_label_1") %></a>&nbsp;&nbsp;>&nbsp;&nbsp;
      <%=title %></div>
      <input type="hidden" name="<%=IRedirect.FIELD_ID %>" value="<%=id %>" />
      <input type="hidden" name="<%=IRedirect.FIELD_STATUS %>" value="<%=rs %>" />
      <!-- Table -->
      <table class="table table-bordered">
        <tbody>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_safe_redirect_label_1") %></label></td>
            <td>
            	<input type="text" name="<%=IRedirect.FIELD_SOURCE_URL %>" value="<%=su %>" class="form-control input-sm content_page_input_width_1"  placeholder="">
            	<br/>
            	<label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_safe_redirect_label_2") %></label>
            </td>
          </tr>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_safe_redirect_label_3") %></label></td>
            <td>
            	<input type="text" name="<%=IRedirect.FIELD_TARGET_URL %>" value="<%=tu %>" class="form-control input-sm content_page_input_width_1"  placeholder="">
            	<br/>
            	<label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_safe_redirect_label_4") %></label>
            </td>
          </tr>
		  <tr class="bg">
            <td>&nbsp;</td>
            <td><button type="submit" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_safe_redirect_btn_1") %></button></td>
          </tr>
        </tbody>
      </table>
    </div>
	</form>
    <script src="../bootstrap/js/jquery.min.js"></script>
    <script src="../bootstrap/js/bootstrap.min.js"></script>
    <script src="../bootstrap/js/ie10-viewport-bug-workaround.js"></script>
    <script src="../js/jquery.cookie.js"></script>
  	<script src="../js/access.js"></script>
  	
  </body>
</html>