<%@ page language="java" import="java.util.*" %>
<%@ page language="java" import="com.nonesole.web.platform.*" %>
<%@ page language="java" import="com.nonesole.web.platform.i18n.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.menu.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.rightset.*" %>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
   
<%
//编辑页面有两种状态，新增或修改，不同的状态需要不同的处理方法
boolean isUpdate = PlatformTools.isUpdate(request,MenuEnum.FUNC_UPDATE.toString());
String title = isUpdate?LocaleToolkit.getLocaleString(request, "page_sys_menu_title_2"):LocaleToolkit.getLocaleString(request, "page_sys_menu_title_1");
Menu m = null;
ActionControler ac = ActionControler.getInstance();
List<String> pageUrls = null;

if ( isUpdate ) {
	//根据id查询对象
	request.setAttribute(ParameterEnum.ACTION.toString(), MenuEnum.FUNC_GET_MENU_DETAIL.toString());
	ac.doAction(request, response);
	Object obj = request.getAttribute(MenuEnum.ATTR_MENU_DETAIL.toString());
	if ( null != obj ) {
		m = (Menu)obj;
		
		//得到菜单关联的功能的PageUrl
		request.setAttribute(ParameterEnum.ACTION.toString(), RightSetEnum.FUNC_GET_FUNCTION_PAGE_URL.toString());
		request.setAttribute(RightSetEnum.ATTR_MENU_ID.toString(), m.getId());
		ac.doAction(request, response);
		
		Object urlObject = request.getAttribute(RightSetEnum.ATTR_FUNCTION_PAGE_URL.toString());
		if ( null != urlObject ) {
			pageUrls = (List<String>)urlObject;
		}
	}
}
request.setAttribute(ParameterEnum.ACTION.toString(), MenuEnum.FUNC_GET_MENU_TREE.toString());
ac.doAction(request, response);
MenuTree tree = null;
Object obj = request.getAttribute(MenuEnum.ATTR_MENU_TREE.toString());
if ( null != obj ) {
	tree = (MenuTree)obj;
}

%>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">
    <title><%=title %></title>
    <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="../css/01.css" rel="stylesheet">
	<link href="../css/03.css" rel="stylesheet">
	<link rel="stylesheet" href="../css/zTreeStyle/zTreeStyle.css" type="text/css">
	<script src="../js/ie-emulation-modes-warning.js"></script>
	<!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	<!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
      <script src="../js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
      <form method="post" action="../action">
      <input type="hidden" name="<%=ParameterEnum.ACTION.toString() %>" value="<%=isUpdate?MenuEnum.FUNC_UPDATE.toString():MenuEnum.FUNC_ADD.toString() %>" />
      <input type="hidden" name="<%=MenuEnum.PARAM_MENU_ID.toString() %>" value="<%=m==null?"":m.getId() %>" />
      <div class="panel panel-info">
      <!-- Default panel contents -->
      <div class="panel-heading list_page_title">
      <a href="menus.jsp"><%=LocaleToolkit.getLocaleString(request, "page_sys_menus_title") %></a>&nbsp;&nbsp;>&nbsp;&nbsp;
      <%=title %></div>
      <!-- Table -->
      <table class="table table-bordered">
        <tbody>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_sys_menu_label_1") %></label></td>
            <td>
            	<input type="hidden" id="menu_id" name="<%=MenuEnum.PARAM_MENU_PID.toString() %>" value="<%=m==null?"":m.getPid()%>" class="form-control input-sm content_page_input_width_1 disabled"  placeholder="">
				<ul>
					<li class="title">
						<input id="citySel" type="text" readonly value="" style="width:120px;"/>&nbsp;
						<a id="menuBtn" href="#" onclick="showMenu(); return false;"><%=LocaleToolkit.getLocaleString(request, "page_sys_menu_label_2") %></a>
					</li>
				</ul>
            </td>
          </tr>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_sys_menu_label_3") %></label></td>
            <td><input type="text" name="<%=MenuEnum.PARAM_MENU_NAME.toString() %>" value="<%=m==null?"":m.getName() %>" class="form-control input-sm content_page_input_width_1 disabled"  placeholder=""></td>
          </tr>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_sys_menu_label_4") %></label></td>
            <td>
                <select class="form-control input-sm content_page_input_width_1" name="<%=MenuEnum.PARAM_MENU_URL.toString() %>">
					<option value="">&nbsp;</option>
					<%
					if ( pageUrls != null ) {
						for ( String url : pageUrls ) {
					%>
					<option value="<%=url %>" <%=url==null?"":url.equals(m.getUrl())?"selected":"" %>><%=url %></option>
					<% 
						}
					}
					%>
				</select>
            	<!-- input type="text" name="<%=MenuEnum.PARAM_MENU_URL.toString() %>" value="<%=m==null?"":m.getUrl() %>" class="form-control input-sm content_page_input_width_1 disabled"  placeholder="" -->
            </td>
          </tr>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_sys_menu_label_5") %></label></td>
            <td><input type="text" name="<%=MenuEnum.PARAM_MENU_ICO.toString() %>" value="<%=m==null?"":m.getIco() %>" class="form-control input-sm content_page_input_width_1 disabled"  placeholder=""></td>
          </tr>
		  <tr class="bg">
            <td>&nbsp;</td>
            <td><button type="submit" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_sys_menu_btn_1") %></button></td>
          </tr>
        </tbody>
      </table>
    </div>
	</form>
    <script src="../bootstrap/js/jquery.min.js"></script>
    <script src="../bootstrap/js/bootstrap.min.js"></script>
    <script src="../bootstrap/js/ie10-viewport-bug-workaround.js"></script>
    <script src="../js/jquery.ztree.core.min.js"></script>
    <script src="../js/jquery.cookie.js"></script>
  	<script src="../js/access.js"></script>
  	
    <script type="text/javascript">
		
		var setting = {
			view: {
				dblClickExpand: false
			},
			data: {
				simpleData: {
					enable: true
				}
			},
			callback: {
				beforeClick: beforeClick,
				onClick: onClick
			}
		};

		//var zNodes =[
		//	{id:1, pId:0, name:"北京"},
		//	{id:2, pId:0, name:"天津"},
		//	{id:3, pId:0, name:"上海"},
		//	{id:6, pId:0, name:"重庆"},
		//	{id:4, pId:0, name:"河北省", open:true},
		// ];
		var zNodes = <%=tree.getJSON(request.getLocale()) %>;
		
		function beforeClick(treeId, treeNode) {
			var check = (treeNode);
			//if (!check) alert("只能选择城市...");
			return check;
		}
		
		function onClick(e, treeId, treeNode) {
			var zTree = $.fn.zTree.getZTreeObj("treeDemo"),
			nodes = zTree.getSelectedNodes(),
			v = "";
			nodes.sort(function compare(a,b){return a.id-b.id;});
			//for (var i=0, l=nodes.length; i<l; i++) {
			//	v += nodes[i].name + ",";
			//}
			v = nodes[0].name;
			//if (v.length > 0 ) v = v.substring(0, v.length-1);
			var cityObj = $("#citySel");
			cityObj.attr("value", v);
			$("#menu_id").attr("value",nodes[0].id);
		}

		function showMenu() {
			var cityObj = $("#citySel");
			var cityOffset = $("#citySel").offset();
			$("#menuContent").css({left:cityOffset.left + "px", top:cityOffset.top + cityObj.outerHeight() + "px"}).slideDown("fast");

			$("body").bind("mousedown", onBodyDown);
		}
		function hideMenu() {
			$("#menuContent").fadeOut("fast");
			$("body").unbind("mousedown", onBodyDown);
		}
		function onBodyDown(event) {
			if (!(event.target.id == "menuBtn" || event.target.id == "menuContent" || $(event.target).parents("#menuContent").length>0)) {
				hideMenu();
			}
		}
		function showParent() {
			var zTree = $.fn.zTree.getZTreeObj("treeDemo");
			var nodes = zTree.transformToArray(zTree.getNodes());
			var value = $("#menu_id").attr("value");
			
			if ( value > 0 ) {
				for (var i=0, l=nodes.length; i < l; i++) {
					console.log("Value:"+value+" ; "+"Node.id:"+nodes[i].id);
					if ( value == nodes[i].id ) {
						zTree.selectNode(nodes[i]);
						$("#citySel").attr("value", nodes[i].name);
						break;
					}					
				}
			}
		}
		$(document).ready(function(){
			$.fn.zTree.init($("#treeDemo"), setting, zNodes);
			showParent();
		});
		
		

	</script>
	<div id="menuContent" class="menuContent" style="display:none; position: absolute;">
		<ul id="treeDemo" class="ztree" style="margin-top:0; width:160px;"></ul>
	</div>
  </body>
</html>