<%@ page language="java" import="java.util.*" %>
<%@ page language="java" import="com.nonesole.web.platform.*" %>
<%@ page language="java" import="com.nonesole.web.platform.basic.*" %>
<%@ page language="java" import="com.nonesole.web.platform.pages.*" %>
<%@ page language="java" import="com.nonesole.web.platform.i18n.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.menu.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.rightset.*" %>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
   
<%
//在新的框架中，JSP页面不做parameter的读取和处理，所有相关的操作都放到Action中
//JSP只需将View层的数据展现和交互做好
request.setAttribute(ParameterEnum.ACTION.toString(), MenuEnum.FUNC_FIND.toString());
ActionControler ac = ActionControler.getInstance();
ac.doAction(request, response);
Pages2<Menu> pages = (Pages2<Menu>)request.getAttribute(ICommon.ATTR_PAGES.toString());
List<Menu> menus = null;
if ( pages != null ) {
	menus = pages.getObjects();
} else {
	menus = new ArrayList<Menu>();
}
int size = menus==null?0:menus.size();

String condition = request.getAttribute(MenuEnum.ATTR_CONDITION.toString())==null?
		"":(String)request.getAttribute(MenuEnum.ATTR_CONDITION.toString());

%>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">
    <title><%=LocaleToolkit.getLocaleString(request, "page_sys_menus_title") %></title>
    <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="../css/01.css" rel="stylesheet">
	<script src="../js/ie-emulation-modes-warning.js"></script>
	<!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	<!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
      <script src="../js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
      <div class="panel panel-info">
      <!-- Default panel contents -->
      <div class="panel-heading list_page_title"><%=LocaleToolkit.getLocaleString(request, "page_sys_menus_label_1") %></div>
      <div class="panel-body">
        <p class="list_page_content">
        <button type="button" id="add" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_sys_menus_btn_2") %></button>
        <button type="button" id="update" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_sys_menus_btn_3") %></button>
        <button type="button" id="delete" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_sys_menus_btn_4") %></button>
        <button type="button" id="linkRoles" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_sys_menus_btn_5") %></button>
        <button type="button" id="linkFunctions" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_sys_menus_btn_6") %></button>
        </p>
      </div>
	  <input type="hidden" id="page-size" value="<%=size %>">
	  <form method="post" id="form" action="../action">
	  <input type="hidden" id="<%=ParameterEnum.ACTION.toString() %>" name="<%=ParameterEnum.ACTION.toString() %>" value="" />
	  <input type="hidden" id="menu_names" name="<%=RightSetEnum.PARAM_NAME.toString() %>" value=""/>
      <!-- Table -->
      <table class="table table-bordered">
        <thead>
          <tr>
            <th class="info" width="20">
				<label class="checkbox-inline">
				  <input type="checkbox" id="allselected">&nbsp;
				</label>
			</th>
            <th class="info" width="300"><%=LocaleToolkit.getLocaleString(request, "page_sys_menus_label_3") %></th>
            <th class="info" width="50"><%=LocaleToolkit.getLocaleString(request, "page_sys_menus_label_4") %></th>
            <th class="info"><%=LocaleToolkit.getLocaleString(request, "page_sys_menus_label_5") %></th>
          </tr>
        </thead>
        <tbody>
          <%
          if ( menus != null && !menus.isEmpty() ) {
        	  int rowNumber = 1, id = 0, value = 0, pid = 0, max = 0;
        	  for ( Menu obj : menus ) {
        		  id = rowNumber;
        		  value = obj.getId();
        		  pid = obj.getPid();
        		  if ( max < id ) {
        			  max = id;
        		  }
          %>
          <tr>
            <td>
				<label class="checkbox-inline">
				  <input type="checkbox" 
				         name="<%=MenuEnum.PARAM_MENU_ID.toString() %>" 
				         id="<%=id %>" 
				         value="<%=value %>"
				         nid="<%=value %>"
				         pid="<%=pid %>"
				         leaf="<%=obj.getLeaf() %>"
				  >&nbsp;
				</label>
				<input type="hidden" id="rownumber<%=value %>" value="<%=id %>">
				<input type="hidden" id="menuname<%=value %>" value="<%=obj.getName() %>">
			</td>
			<td><%=obj.toString() %></td>
			<td>
				<%if ( obj.getIco() != null && !"".equals(obj.getIco()) ){  %>
					<img src="<%=obj.getIco() %>" width="16" height="16" />
				<%} else { %>
					无
				<%} %>
			</td>
			<td><%=obj.getUrl() %></td>
          </tr>
          <%
              rowNumber++;
        	  }
          }
          %>
        </tbody>
      </table>
	  </form>  
    </div>
    
    <!-- TODO 可以抽象出来的翻页代码 -->
	<!-- div class="manu"><span class="disabled"> <  Prev</span><span class="current">1</span><a href="#?page=2">2</a><a href="#?page=3">3</a><a href="#?page=4">4</a><a href="#?page=5">5</a><a href="#?page=6">6</a><a href="#?page=7">7</a>...<a href="#?page=199">199</a><a href="#?page=200">200</a><a href="#?page=2">Next  > </a></div -->
	<%//pages.toHTML() %>

    <script src="../bootstrap/js/jquery.min.js"></script>
    <script src="../bootstrap/js/bootstrap.min.js"></script>
    <script src="../bootstrap/js/ie10-viewport-bug-workaround.js"></script>
  	<script src="../js/jquery.cookie.js"></script>
  	<script src="../js/access.js"></script>
  	<script>
  	$(document).ready(function(){
  		var selectedNode = null;
  		if ( $.cookie('message') ) {
  			//处理Message
  			alert($.cookie('message'));
  			$.cookie('message','', {path:"/",expires:-1});
  		}
  		$("#add").click(function(){
  			location.href = "menu.jsp?<%=ParameterEnum.ACTION.toString()%>=<%=MenuEnum.FUNC_ADD.toString()%>";
  		});
  		$("#update").click(function(){
  			if ( selectedNode ) {
  				var id = selectedNode.val();
  				location.href = "menu.jsp?<%=ParameterEnum.ACTION.toString()%>=<%=MenuEnum.FUNC_UPDATE.toString()%>&"+
					"<%=MenuEnum.PARAM_MENU_ID.toString()%>="+id;
				return;
  			}
  			var size = $("#page-size").val();
  			var checked = false;
  			for ( var i = 0 ; i < size ; i++ ) {
  				var index = i+1;
  				checked = $("#"+index).is(':checked');
  				var id = $("#"+index).val();
  				if ( checked ) {
  					location.href = "menu.jsp?<%=ParameterEnum.ACTION.toString()%>=<%=MenuEnum.FUNC_UPDATE.toString()%>&"+
  					"<%=MenuEnum.PARAM_MENU_ID.toString()%>="+id;
  					break;
  				}
  			}
  			if ( !checked ) {
  				alert("<%=LocaleToolkit.getLocaleString(request, "page_sys_menu_alert_1") %>");
  				return;
  			}
  		});
  		$("#delete").click(function(){
  			var size = $("#page-size").val();
  			var checked = false;
  			for ( var i = 0 ; i < size ; i++ ) {
  				var index = i+1;
  				checked = $("#"+index).is(':checked');
  				if( checked ){
  					break;
  				}
  			}
  			if ( !checked ) {
  				alert("<%=LocaleToolkit.getLocaleString(request, "page_sys_menu_alert_1") %>");
  				return;
  			}
  			$("#<%=ParameterEnum.ACTION.toString() %>").val("<%=MenuEnum.FUNC_DELETE.toString() %>");
  			$("#form").submit();
  		});
  		$("#allselected").click(function(){  	
  			//使用prop而不能使用attr，attr只能执行一遍
  			var isChecked = $(this).prop("checked");
  		    $("input[name='<%=MenuEnum.PARAM_MENU_ID.toString() %>']").prop("checked", isChecked);
  		});
  		$("#linkRoles").click(function(){
  			//在关联关系页面，需要展示被选中的角色，处于减少服务端压力的考虑，用户名由本页面提供，后台不做查询
  			var names = "";
  			var size = $("#page-size").val();
  			for ( var i = 0 ; i < size ; i++ ) {
  				var index = i+1;
  				var checked = $("#"+index).is(':checked');
  				var id = $("#"+index).val();
  				if ( checked ) {
  					if ( names != "" ) {
  						names += ",";
  					}
  					names += $("#menuname"+id).attr("value");
  				}
  			}
  			if ( names == "" ) {
  				alert("<%=LocaleToolkit.getLocaleString(request, "page_sys_menu_alert_1") %>");
  				return;
  			}
  			$("#menu_names").attr("value",names);
  			$("#<%=ParameterEnum.ACTION.toString() %>").val("<%=RightSetEnum.FUNC_FIND_ROLE_MENU_BY_MENU_ID.toString() %>");
  			$("#form").attr("action","rightset.jsp");
  			$("#form").submit();
  		});
  		$("#linkFunctions").click(function(){
  			//在关联关系页面，需要展示被选中的角色，处于减少服务端压力的考虑，用户名由本页面提供，后台不做查询
  			var names = "";
  			var size = $("#page-size").val();
  			for ( var i = 0 ; i < size ; i++ ) {
  				var index = i+1;
  				var checked = $("#"+index).is(':checked');
  				var id = $("#"+index).val();
  				if ( checked ) {
  					if ( names != "" ) {
  						names += ",";
  					}
  					names += $("#menuname"+id).attr("value");
  					//alert($("#menuname"+id).attr("id") + ",id:"+id);
  				}
  			}
  			if ( names == "" ) {
  				alert("<%=LocaleToolkit.getLocaleString(request, "page_sys_menu_alert_1") %>");
  				return;
  			}
  			$("#menu_names").attr("value",names);
  			$("#<%=ParameterEnum.ACTION.toString() %>").val("<%=RightSetEnum.FUNC_FIND_MENU_FUNCTION_BY_MENU_ID.toString() %>");
  			$("#form").attr("action","rightset.jsp");
  			$("#form").submit();
  		});
  		$("input[name='<%=MenuEnum.PARAM_MENU_ID.toString() %>']").click(function(){  	
  			//使用prop而不能使用attr，attr只能执行一遍
  			var isChecked = $(this).prop("checked");
  			var pid = $(this).attr("value");
  			var node = $(this);
  			var size = $("#page-size").val();
  			
  			//得到最后一个被选择CheckBox的用于修改和删除操作
  			if ( isChecked ) {
  				selectedNode = $(this);
  			} 
  			
  			//如果该节点有子节点，则调整子节点的状态
  			for ( var i = 1 ; i <= size ; i++ ) {
				if ( $("#"+i).attr("pid") == pid ) {
					$("#"+i).prop("checked",isChecked);
				}
			}

  		});
  	});
  	</script>
  </body>
</html>