<%@ page language="java" import="com.nonesole.web.platform.*" %>
<%@ page language="java" import="com.nonesole.web.platform.basic.*" %>
<%@ page language="java" import="com.nonesole.web.platform.i18n.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.user.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.userdetail.*" %>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
   
<%
//编辑页面有两种状态，新增或修改，不同的状态需要不同的处理方法
boolean isUpdate = PlatformTools.isUpdate(request,UserDetailEnum.FUNC_UPDATE.toString());
String title = isUpdate?LocaleToolkit.getLocaleString(request, "page_sys_user_detail_title_2"):LocaleToolkit.getLocaleString(request, "page_sys_user_detail_title_1");
UserDetail u = null;
if ( isUpdate ) {
	//根据UserId查询User明细信息
	request.setAttribute(ParameterEnum.ACTION.toString(), UserDetailEnum.FUNC_FIND_DETAIL.toString());
	ActionControler ac = ActionControler.getInstance();
	ac.doAction(request, response);
	Object obj = request.getAttribute(ICommon.ATTR_OBJECT);
	if ( null != obj ) {
		u = (UserDetail)obj;
	}
}
%>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">
    <title><%=title %></title>
    <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="../datetimepicker/css/bootstrap-datetimepicker.min.css" rel="stylesheet" media="screen">
	<link href="../css/01.css" rel="stylesheet">
	<script src="../js/ie-emulation-modes-warning.js"></script>
	<!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	<!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
      <script src="../js/respond.min.js"></script>	
    <![endif]-->
  </head>

  <body>
      <form method="post" action="../action">
      <input type="hidden" name="<%=ParameterEnum.ACTION.toString() %>" value="<%=isUpdate?UserDetailEnum.FUNC_UPDATE.toString():"" %>" />
      <input type="hidden" name="<%=UserDetailEnum.PARAM_USER_ID.toString() %>" value="<%=u==null?"":u.getId() %>" />
      <div class="panel panel-info">
      <!-- Default panel contents -->
      <div class="panel-heading list_page_title">
      <a href="users_detail.jsp"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_detail_label_1") %></a>&nbsp;&nbsp;>&nbsp;&nbsp;
      <%=title %></div>
      <!-- Table -->
      <table class="table table-bordered">
        <tbody>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_sys_user_detail_label_1") %></label></td>
            <td><input type="text" value="<%=u==null?"":u.getLogin_name() %>" class="form-control input-sm content_page_input_width_1 disabled"  placeholder=""></td>
          </tr>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_sys_user_detail_label_2") %></label></td>
            <td><input type="text" name="<%=UserDetailEnum.PARAM_NICK_NAME.toString() %>" value="<%=u==null?"":u.getNick_name() %>" class="form-control input-sm content_page_input_width_1 disabled"  placeholder=""></td>
          </tr>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_sys_user_detail_label_3") %></label></td>
            <td>
        	<input type="text" value="<%=u==null?"":PlatformTools.getFormatTime(u.getBirthday(), "yyyy-MM-dd hh:mm") %>" id="timePicker" name="<%=UserDetailEnum.PARAM_STRING_BIRTHDAY.toString() %>" class="input_width_1 form-control input-sm" />
        	</td>
          </tr>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_sys_user_detail_label_4") %></label></td>
            <td><input type="text" name="<%=UserDetailEnum.PARAM_AGE.toString() %>" value="<%=u==null?"":u.getAge() %>" class="form-control input-sm content_page_input_width_1"  placeholder=""></td>
          </tr>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_sys_user_detail_label_5") %></label></td>
            <td><input type="text" name="<%=UserDetailEnum.PARAM_EMAIL.toString() %>" value="<%=u==null?"":u.getEmail() %>" class="form-control input-sm content_page_input_width_1" placeholder=""></td>
          </tr>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_sys_user_detail_label_6") %></label></td>
            <td><input type="text" name="<%=UserDetailEnum.PARAM_CELL_PHONE_NUMBER.toString() %>" value="<%=u==null?"":u.getCell_phone_number() %>" class="form-control input-sm content_page_input_width_1"  placeholder=""></td>
          </tr>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_sys_user_detail_label_7") %></label></td>
            <td><input type="text" name="<%=UserDetailEnum.PARAM_ADDRESS.toString() %>" value="<%=u==null?"":u.getAddress() %>" class="form-control input-sm content_page_input_width_1" placeholder=""></td>
          </tr>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_sys_user_detail_label_8") %></label></td>
            <td><input type="text" name="<%=UserDetailEnum.PARAM_TEL.toString() %>" value="<%=u==null?"":u.getTel() %>" class="form-control input-sm content_page_input_width_1"  placeholder=""></td>
          </tr>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_sys_user_detail_label_9") %></label></td>
            <td><input type="text" name="<%=UserDetailEnum.PARAM_TAX.toString() %>" value="<%=u==null?"":u.getTax() %>" class="form-control input-sm content_page_input_width_1" placeholder=""></td>
          </tr>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_sys_user_detail_label_10") %></label></td>
            <td><input type="text" name="<%=UserDetailEnum.PARAM_QQ.toString() %>" value="<%=u==null?"":u.getQq_number() %>" class="form-control input-sm content_page_input_width_1"  placeholder=""></td>
          </tr>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_sys_user_detail_label_11") %></label></td>
            <td><input type="text" name="<%=UserDetailEnum.PARAM_WECHAT.toString() %>" value="<%=u==null?"":u.getWechat_name() %>" class="form-control input-sm content_page_input_width_1" placeholder=""></td>
          </tr>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_sys_user_detail_label_12") %></label></td>
            <td><input type="text" name="<%=UserDetailEnum.PARAM_WEIBO.toString() %>" value="<%=u==null?"":u.getWeibo_url() %>" class="form-control input-sm content_page_input_width_1"  placeholder=""></td>
          </tr>
		  <tr class="bg">
            <td>&nbsp;</td>
            <td><button type="submit" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_sys_user_detail_btn_1") %></button></td>
          </tr>
        </tbody>
      </table>
    </div>
	</form>
    <script src="../bootstrap/js/jquery.min.js"></script>
    <script src="../bootstrap/js/bootstrap.min.js"></script>
    <script src="../bootstrap/js/ie10-viewport-bug-workaround.js"></script>
    <script type="text/javascript" src="../datetimepicker/js/bootstrap-datetimepicker.js" charset="UTF-8"></script>
	<script type="text/javascript" src="../datetimepicker/js/locales/bootstrap-datetimepicker.zh-CN.js" charset="UTF-8"></script>
	<script src="../js/jquery.cookie.js"></script>
  	<script src="../js/access.js"></script>
  	
	<script>
  	$(document).ready(function(){
  		if ( $.cookie('message') ) {
  			//处理Message
  			alert($.cookie('message'));
  			$.cookie('message','', {path:"/",expires:-1});
  		}
  	});
  	$('#timePicker').datetimepicker({
        language:  'zh-CN',
        weekStart: 1,
        todayBtn:  1,
		autoclose: 1,
		todayHighlight: 1,
		startView: 1,
		minView: 0,
		maxView: 1,
		forceParse: 0
    });
  	</script>
  </body>
</html>