<%@ page language="java" import="java.util.*" %>
<%@ page language="java" import="com.nonesole.web.platform.*" %>
<%@ page language="java" import="com.nonesole.web.platform.basic.*" %>
<%@ page language="java" import="com.nonesole.web.platform.pages.*" %>
<%@ page language="java" import="com.nonesole.web.platform.i18n.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.user.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.rightset.*" %>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
   
<%
//在新的框架中，JSP页面不做parameter的读取和处理，所有相关的操作都放到Action中
//JSP只需将View层的数据展现和交互做好
request.setAttribute(ParameterEnum.ACTION.toString(), UserEnum.FIND_FUNC.toString());
ActionControler ac = ActionControler.getInstance();
ac.doAction(request, response);
Pages2<User> pages = (Pages2<User>)request.getAttribute(ICommon.ATTR_PAGES);
List<User> users = null;
if ( pages != null ) {
	users = pages.getObjects();
} else {
	users = new ArrayList<User>();
}

String condition = PlatformTools.getRequestParameter(request, ICommon.PARAM_QUERY_KEY_WORD);

String status = PlatformTools.getRequestParameter(request, UserEnum.ATTR_STATUS.toString());
boolean locked = "1".equals(status);
boolean normal = "0".equals(status);

%>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">
    <title><%=LocaleToolkit.getLocaleString(request, "page_sys_users_title") %></title>
    <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="../css/01.css" rel="stylesheet">
	<script src="../js/ie-emulation-modes-warning.js"></script>
	<!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	<!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
      <script src="../js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
      <div class="panel panel-info">
      <!-- Default panel contents -->
      <div class="panel-heading list_page_title"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_label_1") %></div>
      <div class="panel-body">
        <form method="post" id="qform" action="users.jsp">
        	<input type="hidden" name="<%=ParameterEnum.ACTION.toString() %>" value="<%=UserEnum.FIND_FUNC.toString() %>" />
	        <button type="submit" id="querybtn" class="btn btn-sm btn-info query_button"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_btn_1") %></button>
			<div class="query_condition input-group-sm">
				<input type="text" name="<%=ICommon.PARAM_QUERY_KEY_WORD %>" class="form-control" placeholder="<%=LocaleToolkit.getLocaleString(request, "page_sys_users_label_2") %>" value="<%=condition %>"/>
			</div>
			<div class="query_condition_selected input-group-sm">
				<select class="form-control input-sm" name="<%=UserEnum.PARAM_STATUS.toString() %>">
					<option value=""><%=LocaleToolkit.getLocaleString(request, "page_sys_users_select_1") %></option>
					<option value="0" <%=normal?"selected":"" %>><%=LocaleToolkit.getLocaleString(request, "page_sys_users_select_2") %></option>
					<option value="1" <%=locked?"selected":"" %>><%=LocaleToolkit.getLocaleString(request, "page_sys_users_select_3") %></option>
				</select>
			</div>
		</form>
        <p class="list_page_content">
        <button type="button" id="add" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_btn_2") %></button>
        <button type="hidden" id="update" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_btn_3") %></button>
        <button type="hidden" id="pwd" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_btn_8") %></button>
        <button type="button" id="delete" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_btn_4") %></button>
        <button type="button" id="lock" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_btn_5") %></button>
        <button type="button" id="unlock" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_btn_6") %></button>
        <button type="button" id="linkRole" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_btn_7") %></button>
        </p>
      </div>
	  <input type="hidden" id="page-size" value="<%=pages.getNumberOfRows() %>">
	  <form method="post" id="form" action="../action">
	  <input type="hidden" id="<%=ParameterEnum.ACTION.toString() %>" name="<%=ParameterEnum.ACTION.toString() %>" value="" />
	  <input type="hidden" id="user_names" name="<%=RightSetEnum.PARAM_NAME.toString() %>" value=""/>
      <!-- Table -->
      <table class="table table-bordered">
        <thead>
          <tr>
            <th class="info" width="20">
				<label class="checkbox-inline">
				  <input type="checkbox" id="allselected">&nbsp;
				</label>
			</th>
            <th class="info"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_label_3") %></th>
            <th class="info"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_label_4") %></th>
            <th class="info"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_label_5") %></th>
            <th class="info"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_label_6") %></th>
          </tr>
        </thead>
        <tbody>
          <%
          if ( users != null && !users.isEmpty() ) {
        	  int rowNumber = 1;
        	  for ( User u : users ) {
          %>
          <tr>
            <td>
				<label class="checkbox-inline">
				  <input type="checkbox" name="<%=UserEnum.PARAM_USER_ID.toString() %>" id="<%=rowNumber %>" value="<%=u.getId() %>">&nbsp;
				</label>
			</td>
            <td id="username<%=rowNumber %>"><%=u.getLogin_name() %></td>
            <td><%=u.getLogin_email() %></td>
            <td><%=u.getLogin_cell_phone_number() %></td>
            <td><%=u.getUserStatus(request) %></td>
          </tr>
          <%
              rowNumber++;
        	  }
          }
          %>
        </tbody>
      </table>
	  </form>  
    </div>
    
    <!-- TODO 可以抽象出来的翻页代码 -->
	<!-- div class="manu"><span class="disabled"> <  Prev</span><span class="current">1</span><a href="#?page=2">2</a><a href="#?page=3">3</a><a href="#?page=4">4</a><a href="#?page=5">5</a><a href="#?page=6">6</a><a href="#?page=7">7</a>...<a href="#?page=199">199</a><a href="#?page=200">200</a><a href="#?page=2">Next  > </a></div -->
	<%=pages.toHTML() %>
	
    <script src="../bootstrap/js/jquery.min.js"></script>
    <script src="../bootstrap/js/bootstrap.min.js"></script>
    <script src="../bootstrap/js/ie10-viewport-bug-workaround.js"></script>
  	<script src="../js/jquery.cookie.js"></script>
  	<script src="../js/access.js"></script>
  	
  </body>
  
  <script>
  	$(document).ready(function(){  		
  		if ( $.cookie('message') ) {
  			//处理Message
  			alert($.cookie('message') );
  			$.cookie('message','', {path:"/",expires:-1});
  		}
  		$("#add").click(function(){
  			location.href = "user.jsp?<%=ParameterEnum.ACTION.toString()%>=<%=UserEnum.ADD_FUNC.toString()%>";
  		});
  		$("#update").click(function(){
  			var size = $("#page-size").val();
  			var checked = false;
  			for ( var i = 0 ; i < size ; i++ ) {
  				var index = i+1;
  				checked = $("#"+index).is(':checked');
  				var userid = $("#"+index).val();
  				if ( checked ) {
  					location.href = "user.jsp?<%=ParameterEnum.ACTION.toString()%>=<%=UserEnum.UPDATE_FUNC.toString()%>&"+
  					"<%=UserEnum.PARAM_USER_ID.toString()%>="+userid;
  					break;
  				}
  			}
  			if ( !checked ) {
  				alert("<%=LocaleToolkit.getLocaleString(request, "page_sys_users_alert_1") %>");
  			}
  		});
  		$("#pwd").click(function(){
  			var size = $("#page-size").val();
  			var checked = false;
  			for ( var i = 0 ; i < size ; i++ ) {
  				var index = i+1;
  				checked = $("#"+index).is(':checked');
  				var userid = $("#"+index).val();
  				if ( checked ) {
  					location.href = "pwd.jsp?<%=ParameterEnum.ACTION.toString()%>=<%=UserEnum.UPDATE_FUNC.toString()%>&"+
  					"<%=UserEnum.PARAM_USER_ID.toString()%>="+userid;
  					break;
  				}
  			}
  			if ( !checked ) {
  				alert("<%=LocaleToolkit.getLocaleString(request, "page_sys_users_alert_1") %>");
  			}
  		});
  		$("#delete").click(function(){
  			var size = $("#page-size").val();
  			var checked = false;
  			for ( var i = 0 ; i < size ; i++ ) {
  				var index = i+1;
  				checked = $("#"+index).is(':checked');
  				if( checked ){
  					break;
  				}
  			}
  			if ( !checked ) {
  				alert("<%=LocaleToolkit.getLocaleString(request, "page_sys_users_alert_1") %>");
  				return;
  			}
  			$("#<%=ParameterEnum.ACTION.toString() %>").val("<%=UserEnum.DELETE_FUNC.toString() %>");
  			$("#form").attr("action","../action");
  			$("#form").submit();
  		});
  		$("#lock").click(function(){
  			var size = $("#page-size").val();
  			var checked = false;
  			for ( var i = 0 ; i < size ; i++ ) {
  				var index = i+1;
  				checked = $("#"+index).is(':checked');
  				if( checked ){
  					break;
  				}
  			}
  			if ( !checked ) {
  				alert("<%=LocaleToolkit.getLocaleString(request, "page_sys_users_alert_1") %>");
  				return;
  			}
  			$("#<%=ParameterEnum.ACTION.toString() %>").val("<%=UserEnum.LOCK_FUNC.toString() %>");
  			$("#form").attr("action","../action");
  			$("#form").submit();
  		});
  		$("#unlock").click(function(){
  			var size = $("#page-size").val();
  			var checked = false;
  			for ( var i = 0 ; i < size ; i++ ) {
  				var index = i+1;
  				checked = $("#"+index).is(':checked');
  				if( checked ){
  					break;
  				}
  			}
  			if ( !checked ) {
  				alert("<%=LocaleToolkit.getLocaleString(request, "page_sys_users_alert_1") %>");
  				return;
  			}
  			$("#<%=ParameterEnum.ACTION.toString() %>").val("<%=UserEnum.UNLOCK_FUNC.toString() %>");
  			$("#form").attr("action","../action");
  			$("#form").submit();
  		});
  		$("#allselected").click(function(){  	
  			//使用prop而不能使用attr，attr只能执行一遍
  			var isChecked = $(this).prop("checked");
  		    $("input[name='<%=UserEnum.PARAM_USER_ID.toString() %>']").prop("checked", isChecked);
  		});
  		$("#linkRole").click(function(){
  			//在关联关系页面，需要展示被选中的用户名，处于减少服务端压力的考虑，用户名由本页面提供，后台不做查询
  			var usernames = "";
  			var size = $("#page-size").val();
  			var checked = false;
  			for ( var i = 0 ; i < size ; i++ ) {
  				var index = i+1;
  				checked = $("#"+index).is(':checked');
  				var userid = $("#"+index).val();
  				if ( checked ) {
  					if ( usernames != "" ) {
  						usernames += ",";
  					}
  					usernames += $("#username"+index).text();
  				}
  			}
  			if ( usernames == "" ) {
  				alert("<%=LocaleToolkit.getLocaleString(request, "page_sys_users_alert_1") %>");
  				return;
  			}
  			$("#user_names").attr("value",usernames);
  			$("#<%=ParameterEnum.ACTION.toString() %>").val("<%=RightSetEnum.FUNC_FIND_USER_ROLE_BY_USER_ID.toString() %>");
  			$("#form").attr("action","rightset.jsp");
  			$("#form").submit();
  		});
  	});
  	</script>
</html>
