<%@ page language="java" import="java.util.*" %>
<%@ page language="java" import="com.nonesole.web.platform.*" %>
<%@ page language="java" import="com.nonesole.web.platform.i18n.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.*" %>
<%@ page language="java" import="com.nonesole.web.platform.access.*" %>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
   
<%

if ( IAccess.FUNCTION_SAVE_SETTING.equals(request.getParameter(ParameterEnum.ACTION.toString()))) {
	//保存操作
	ActionControler ac = ActionControler.getInstance();
	request.setAttribute(ParameterEnum.ACTION.toString(), IAccess.FUNCTION_SAVE_SETTING);
	ac.doAction(request, response);
	AccessStatistics.reloadSet = true;
	AccessStatistics.initSet();
}

%>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">
    <title><%=LocaleToolkit.getLocaleString(request, "page_access_set_title") %></title>
    <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="../css/01.css" rel="stylesheet">
	<script src="../js/ie-emulation-modes-warning.js"></script>
	<!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	<!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
      <script src="../js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
      <div class="panel panel-info">
      <!-- Default panel contents -->
      <div class="panel-heading list_page_title"><%=LocaleToolkit.getLocaleString(request, "page_access_set_label_1") %></div>
      <div class="panel-body">
        <p class="list_page_content">
        <button type="button" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_access_set_btn_1") %></button>
        </p>
      </div> 
    
      <form method="post" id="setform" action="set.jsp">
      <input type="hidden" name="<%=ParameterEnum.ACTION.toString() %>" value="<%=IAccess.FUNCTION_SAVE_SETTING %>" />
      <table class="table table-bordered">
        <tr>
        	<td class="info" width="150"><%=LocaleToolkit.getLocaleString(request, "page_access_set_label_2") %></td>
            <td class="info">
            	<select class="form-control input-sm content_page_width_1" name="<%=IAccess.SWITCH_VALUE %>">
					<option value="open" <%=AccessStatistics.open?"selected":"" %>><%=LocaleToolkit.getLocaleString(request, "page_access_set_label_3") %></option>
					<option value="close" <%=!AccessStatistics.open?"selected":"" %>><%=LocaleToolkit.getLocaleString(request, "page_access_set_label_4") %></option>
				</select>
            </td>
        </tr>
        <tr>
        	<td class="info" width="150"><%=LocaleToolkit.getLocaleString(request, "page_access_set_label_5") %></td>
            <td class="info">
            	<textarea class="form-control" name="<%=IAccess.RESOURCE %>" rows="6"><%=AccessStatistics.linkResource() %></textarea>
            </td>
        </tr>
        <tr>
        	<td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_set_label_6") %></td>
            <td class="info">
            	<textarea class="form-control" name="<%=IAccess.OS %>" rows="6"><%=AccessStatistics.linkOS() %></textarea>
            </td>
        </tr>
        <tr>
        	<td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_set_label_7") %></td>
            <td class="info">
            	<textarea class="form-control" name="<%=IAccess.BROWSER %>" rows="6"><%=AccessStatistics.linkBrowser() %></textarea>
            </td>
        </tr>
        <tr>
        	<td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_set_label_8") %></td>
            <td class="info">
            	<textarea class="form-control" name="<%=IAccess.MOBILE %>" rows="6"><%=AccessStatistics.linkMobile() %></textarea>
            </td>
        </tr>
        <tr>
        	<td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_set_label_9") %></td>
            <td class="info">
            	<textarea class="form-control" name="<%=IAccess.SEARCH_ENGINE %>" rows="6"><%=AccessStatistics.linkSearchEngine() %></textarea>
            </td>
        </tr>
      </table>
      </form>
    </div>

    <script src="../bootstrap/js/jquery.min.js"></script>
    <script src="../bootstrap/js/bootstrap.min.js"></script>
    <script src="../bootstrap/js/ie10-viewport-bug-workaround.js"></script>
  	<script src="../js/jquery.cookie.js"></script>
  	<script src="../js/access.js"></script>
    
  	<script>
  	$(document).ready(function(){
  		if ( $.cookie('message') ) {
  			//处理Message
  			alert($.cookie('message'));
  			$.cookie('message','', {path:"/",expires:-1});
  		}
  	});
  	$("button").click(function(){
  		$("#setform").submit();
  	});
  	</script>
  </body>
</html>