<%@ page language="java" import="java.util.*" %>
<%@ page language="java" import="com.nonesole.web.platform.*" %>
<%@ page language="java" import="com.nonesole.web.platform.i18n.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.*" %>
<%@ page language="java" import="com.nonesole.web.platform.access.*" %>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
   
<%
//在新的框架中，JSP页面不做parameter的读取和处理，所有相关的操作都放到Action中
//JSP只需将View层的数据展现和交互做好
request.setAttribute(ParameterEnum.ACTION.toString(), IAccess.FUNCTION_GET_SOURCE_DATA);
ActionControler ac = ActionControler.getInstance();
ac.doAction(request, response);

EchartBean eb = null;
if ( request.getAttribute(IAccess.ATTR_ECHART_BEN) != null ) {
	eb = (EchartBean)request.getAttribute(IAccess.ATTR_ECHART_BEN);
} else {
	eb = new EchartBean();
}

Map<String,Object> totalMap = PlatformTools.getMapOject(request, IAccess.ATTR_TOTAL_DATA);
Map<String,Object> linksMap = PlatformTools.getMapOject(request, IAccess.ATTR_LINKS_DATA);
Map<String,Object> enginesMap = PlatformTools.getMapOject(request, IAccess.ATTR_ENGINES_DATA);
Map<String,Object> directsMap = PlatformTools.getMapOject(request, IAccess.ATTR_DIRECTS_DATA);


List<Map<String,Object>> engines = PlatformTools.getListMapOject(request, IAccess.ATTR_ENGINES_DETAIL);
List<Map<String,Object>> links = PlatformTools.getListMapOject(request, IAccess.ATTR_LINKS_DETAIL);
List<Map<String,Object>> directs = PlatformTools.getListMapOject(request, IAccess.ATTR_DIRECTS_DETAIL);


%>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">
    <title><%=LocaleToolkit.getLocaleString(request, "page_access_source_title") %></title>
    <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="../css/01.css" rel="stylesheet">
	<script src="../js/ie-emulation-modes-warning.js"></script>
	<!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	<!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
      <script src="../js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
      <div class="panel panel-info">
      <!-- Default panel contents -->
      <div class="panel-heading list_page_title"><%=LocaleToolkit.getLocaleString(request, "page_access_source_label_1") %></div>
      <div class="panel-body">
        <p class="list_page_content">
        <button type="button" v="0" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_access_source_btn_1") %></button>
        <button type="button" v="-1" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_access_source_btn_2") %></button>
        <button type="button" v="7" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_access_source_btn_3") %></button>
        <button type="button" v="30" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_access_source_btn_4") %></button>
        </p>
      </div>
	  
	  <form method="post" id="form" action="../action">
	  <input type="hidden" id="<%=ParameterEnum.ACTION.toString() %>" name="<%=ParameterEnum.ACTION.toString() %>" value="" />
	  <input type="hidden" id="names" name="" value=""/>
      <!-- Table -->
      <table class="table table-bordered">
        <tr>
            <th class="info" width="100">&nbsp;</th>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_source_label_2") %></td>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_source_label_3") %></td>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_source_label_4") %></td>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_source_label_5") %></td>
        </tr>
        <tr>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_source_label_6") %></td>
            <td><%=totalMap.get(IAccess.PV)==null?0:totalMap.get(IAccess.PV) %></td>
            <td><%=enginesMap.get(IAccess.PV)==null?0:enginesMap.get(IAccess.PV) %></td>
            <td><%=linksMap.get(IAccess.PV)==null?0:linksMap.get(IAccess.PV) %></td>
            <td><%=directsMap.get(IAccess.PV)==null?0:directsMap.get(IAccess.PV) %></td>
          </tr>
          <tr>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_source_label_7") %></td>
            <td>100%</td>
            <td><%=enginesMap.get(IAccess.PV_PERCENT)==null?"0.0%":enginesMap.get(IAccess.PV_PERCENT) %></td>
            <td><%=linksMap.get(IAccess.PV_PERCENT)==null?"0.0%":linksMap.get(IAccess.PV_PERCENT) %></td>
            <td><%=directsMap.get(IAccess.PV_PERCENT)==null?"0.0%":directsMap.get(IAccess.PV_PERCENT) %></td>
          </tr>
      </table>
	  </form>  
    </div>
    
    <div class="container-fluid">
      <div class="row" class="back-user-top-large-window-li">
        <div class="col-sm-12 col-md-12 main">
          <div id="source_access" style="height:400px;"></div>
	    </div>
      </div>
    </div>
    
    <div class="panel panel-info">
      <table class="table table-bordered">
        <tr>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_source_label_8") %></td>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_source_label_9") %></td>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_source_label_10") %></td>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_source_label_11") %></td>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_source_label_12") %></td>
        </tr>
        <tr>
            <td><%=LocaleToolkit.getLocaleString(request, "page_access_source_label_13") %></td>
            <td><%=enginesMap.get(IAccess.PV_PERCENT)==null?"0.0%":enginesMap.get(IAccess.PV_PERCENT) %></td>
            <td><%=enginesMap.get(IAccess.UV)==null?0:enginesMap.get(IAccess.UV) %></td>
            <td><%=enginesMap.get(IAccess.ONLY_ONE_PV_PERCENT)==null?"0.0%":enginesMap.get(IAccess.ONLY_ONE_PV_PERCENT) %></td>
            <td><%=(enginesMap.get(IAccess.STAY_TIME)==null?"0.0":PlatformTools.double2String((Double)enginesMap.get(IAccess.STAY_TIME)))+"秒" %></td>
        </tr>
        <%
        Map<String,Object> map = null;
        for ( int i = 0 ; i < engines.size() ; i++ ) {
        	map = engines.get(i);
        %>
        <tr>
            <td>
            	&nbsp;&nbsp;&nbsp;&nbsp;
            	<%=map.get(IAccess.KEY_SEARCH_ENGINE_NAME)==null?LocaleToolkit.getLocaleString(request, "page_access_source_label_16"):map.get(IAccess.KEY_SEARCH_ENGINE_NAME) %>
            </td>
            <td><%=map.get(IAccess.PV_PERCENT)==null?"0.0%":map.get(IAccess.PV_PERCENT) %></td>
            <td><%=map.get(IAccess.UV)==null?0:map.get(IAccess.UV) %></td>
            <td><%=map.get(IAccess.ONLY_ONE_PV_PERCENT)==null?"0.0%":map.get(IAccess.ONLY_ONE_PV_PERCENT) %></td>
            <td><%=(map.get(IAccess.STAY_TIME)==null?"0.0":PlatformTools.double2String((Double)map.get(IAccess.STAY_TIME)))+"秒" %></td>
        </tr>
        <%
        }
        %>
        <tr>
            <td><%=LocaleToolkit.getLocaleString(request, "page_access_source_label_14") %></td>
            <td><%=linksMap.get(IAccess.PV_PERCENT)==null?"0.0%":linksMap.get(IAccess.PV_PERCENT) %></td>
            <td><%=linksMap.get(IAccess.UV)==null?0:linksMap.get(IAccess.UV) %></td>
            <td><%=linksMap.get(IAccess.ONLY_ONE_PV_PERCENT)==null?"0.0%":linksMap.get(IAccess.ONLY_ONE_PV_PERCENT) %></td>
            <td><%=linksMap.get(IAccess.STAY_TIME)==null?"0.0":PlatformTools.double2String((Double)linksMap.get(IAccess.STAY_TIME))+"s" %></td>
        </tr>
        <%
      //TODO 数据库中查出的数据要转义，避免跨站脚本攻击
        for ( int i = 0 ; i < links.size() ; i++ ) {
        	map = links.get(i);
        %>
        <tr>
            <td>
            	&nbsp;&nbsp;&nbsp;&nbsp;
            	<%=map.get(IAccess.KEY_SOURCE_DOMAIN_NAME)==null?LocaleToolkit.getLocaleString(request, "page_access_source_label_16"):map.get(IAccess.KEY_SOURCE_DOMAIN_NAME) %>
            </td>
            <td><%=map.get(IAccess.PV_PERCENT)==null?"0.0%":map.get(IAccess.PV_PERCENT) %></td>
            <td><%=map.get(IAccess.UV)==null?0:map.get(IAccess.UV) %></td>
            <td><%=map.get(IAccess.ONLY_ONE_PV_PERCENT)==null?"0.0%":map.get(IAccess.ONLY_ONE_PV_PERCENT) %></td>
            <td><%=(map.get(IAccess.STAY_TIME)==null?"0.0":PlatformTools.double2String((Double)map.get(IAccess.STAY_TIME)))+"秒" %></td>
        </tr>
        <%
        }
        %>
        
        <tr>
            <td><%=LocaleToolkit.getLocaleString(request, "page_access_source_label_15") %></td>
            <td><%=directsMap.get(IAccess.PV_PERCENT)==null?"0.0%":directsMap.get(IAccess.PV_PERCENT) %></td>
            <td><%=directsMap.get(IAccess.UV)==null?0:directsMap.get(IAccess.UV) %></td>
            <td><%=directsMap.get(IAccess.ONLY_ONE_PV_PERCENT)==null?"0.0%":directsMap.get(IAccess.ONLY_ONE_PV_PERCENT) %></td>
            <td><%=directsMap.get(IAccess.STAY_TIME)==null?"0.0":PlatformTools.double2String((Double)directsMap.get(IAccess.STAY_TIME))+"秒" %></td>
        </tr>
          
      </table>
    </div>

    <script src="../bootstrap/js/jquery.min.js"></script>
    <script src="../bootstrap/js/bootstrap.min.js"></script>
    <script src="../bootstrap/js/ie10-viewport-bug-workaround.js"></script>
  	<script src="../js/jquery.cookie.js"></script>
  	<script src="../js/access.js"></script>
  	<script src="../echarts/echarts-all.js"></script>
    <script src="../echarts/codemirror.js"></script>
    <script src="../echarts/javascript.js"></script>
    
  	<script>
  	$(document).ready(function(){
  		if ( $.cookie('message') ) {
  			//处理Message
  			alert($.cookie('message'));
  			$.cookie('message','', {path:"/",expires:-1});
  		}
  	});
  	$("button").click(function(){
  		var url = "../access/source.jsp?<%=IAccess.PARAM_SOURCE_DATE_TYPE%>=" + $(this).attr("v");
  		window.location.href=url;
  	});
  	
  	var sourceChart = echarts.init(document.getElementById('source_access'));
    var option2 = {
   		    title : {
   		        text: <%=eb.getTitleText()%>,
   		        subtext: <%=eb.getTitleSubtext()%>
   		    },
   		    tooltip : {
   		        trigger: 'axis'
   		    },
   		    legend: {
   		        data:<%=eb.getLegendData()%>
   		    },
   		    toolbox: {
   		        show : true,
   		        feature : {
   		            mark : {show: true},
   		            dataView : {show: true, readOnly: false},
   		            magicType : {show: true, type: ['line', 'bar']},
   		            restore : {show: true},
   		            saveAsImage : {show: true}
   		        }
   		    },
   		    calculable : true,
   		    xAxis : [
   		        {
   		            type : 'category',
   		            boundaryGap : false,
   		            //data : ['周一','周二','周三','周四','周五','周六','周日']
   		        	data : <%=eb.getxAxisData()%>
   		        }
   		    ],
   		    yAxis : [
   		        {
   		            type : 'value',
   		            axisLabel : {
   		                formatter: <%=eb.getyAxisFormatter()%>
   		            }
   		        }
   		    ],
   		    series : [
   		    <%
   		    List<EchartSeries> l = eb.getSeries();
   		    if ( l != null && !l.isEmpty() ) { 
   		    	EchartSeries es = null;
				for ( int i = 0 ; i < l.size() ; i++ ) {
					es = l.get(i);
   		    %>
   		        {
   		            name:<%=es.getName()%>,
   		            type:'line',
   		            data:<%=es.getData()%>,
   		            markLine : {
   		                data : [
   		                    {type : 'average', name: '平均值'}
   		                ]
   		            }
   		        }
   		        <%if ( i < l.size() - 1 ) {%>
   		        ,
   		        <%}%>
   		    <%
				}
   		    }
   		    %>    
   		    ]
   		};
    sourceChart.setOption(option2);
  	</script>
  </body>
</html>