<%@ page language="java" import="java.util.*" %>
<%@ page language="java" import="com.nonesole.web.platform.*" %>
<%@ page language="java" import="com.nonesole.web.platform.i18n.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.*" %>
<%@ page language="java" import="com.nonesole.web.platform.access.*" %>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
   
<%
//在新的框架中，JSP页面不做parameter的读取和处理，所有相关的操作都放到Action中
//JSP只需将View层的数据展现和交互做好
String resourceName = request.getParameter(IAccess.PARAM_RESOURCE_NAME);

request.setAttribute(ParameterEnum.ACTION.toString(), IAccess.FUNCTION_GET_TARGET_DATA);
ActionControler ac = ActionControler.getInstance();
ac.doAction(request, response);

Map<String,Object> totalMap = PlatformTools.getMapOject(request, IAccess.ATTR_TARGET_TOTAL_DATA);
List<Map<String,Object>> details = PlatformTools.getListMapOject(request, IAccess.ATTR_LINKS_DETAIL);

%>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">
    <title><%=LocaleToolkit.getLocaleString(request, "page_access_target_title") %></title>
    <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="../css/01.css" rel="stylesheet">
	<script src="../js/ie-emulation-modes-warning.js"></script>
	<!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	<!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
      <script src="../js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
      <div class="panel panel-info">
      <!-- Default panel contents -->
      <div class="panel-heading list_page_title"><%=LocaleToolkit.getLocaleString(request, "page_access_target_label_1") %>
      <%=PlatformTools.isNull(resourceName)?"（"+LocaleToolkit.getLocaleString(request, "page_access_target_label_2")+"：jsp）":"（"+LocaleToolkit.getLocaleString(request, "page_access_target_label_2")+"："+ resourceName +"）"%> 
      </div>
      <div class="panel-body">
        <p class="list_page_content">
                       <%=LocaleToolkit.getLocaleString(request, "page_access_target_label_2") %>
        <select id="resName" class="input-sm">
          <%for ( String resName : AccessStatistics.resources ) { %>
		  <option value="<%=resName%>" 
		  <%=resName.equals(resourceName)?"selected=\"selected\"":"" %>><%=resName%>
		  </option>
		  <%} %>
		</select>
        <button type="button" v="0" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_access_target_btn_1") %></button>
        <button type="button" v="-1" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_access_target_btn_2") %></button>
        <button type="button" v="7" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_access_target_btn_3") %></button>
        <button type="button" v="30" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_access_target_btn_4") %></button>
        </p>
      </div>
	  
	  <form method="post" id="form" action="../action">
	  <input type="hidden" id="<%=ParameterEnum.ACTION.toString() %>" name="<%=ParameterEnum.ACTION.toString() %>" value="" />
	  <input type="hidden" id="names" name="" value=""/>
      <!-- Table -->
      <table class="table table-bordered">
        <tr>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_target_label_3") %></td>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_target_label_4") %></td>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_target_label_5") %></td>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_target_label_6") %></td>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_target_label_7") %></td>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_target_label_8") %></td>
        </tr>
        <tr>
            <td><%=totalMap.get(IAccess.PV)==null?0:totalMap.get(IAccess.PV) %></td>
            <td><%=totalMap.get(IAccess.UV)==null?0:totalMap.get(IAccess.UV) %></td>
            <td><%=totalMap.get(IAccess.IP)==null?0:totalMap.get(IAccess.IP) %></td>
            <td><%=totalMap.get(IAccess.FIRST_PV)==null?0:totalMap.get(IAccess.FIRST_PV) %></td>
            <td><%=totalMap.get(IAccess.ONLY_ONE_PV)==null?0:totalMap.get(IAccess.ONLY_ONE_PV) %></td>
            <td><%=totalMap.get(IAccess.STAY_TIME)==null?0:totalMap.get(IAccess.STAY_TIME) %></td>
          </tr>
      </table>
	  </form>  
    </div>
    
    <div class="panel panel-info">
      <table class="table table-bordered">
        <tr>
        	<td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_target_label_9") %></td>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_target_label_10") %></td>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_target_label_11") %></td>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_target_label_12") %></td>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_target_label_13") %></td>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_target_label_14") %></td>
            <td class="info"><%=LocaleToolkit.getLocaleString(request, "page_access_target_label_15") %></td>
        </tr>
        <%
        Map<String,Object> map = null;
        for ( int i = 0 ; i < details.size() ; i++ ) {
        	map = details.get(i);
        %>
        <tr>
            <td>
            	&nbsp;&nbsp;&nbsp;&nbsp;
            	<%=map.get(IAccess.TARGET_URL)==null?LocaleToolkit.getLocaleString(request, "page_access_target_label_16"):map.get(IAccess.TARGET_URL) %>
            </td>
            <td><%=map.get(IAccess.PV)==null?0:map.get(IAccess.PV) %></td>
            <td><%=map.get(IAccess.UV)==null?0:map.get(IAccess.UV) %></td>
            <td><%=map.get(IAccess.IP)==null?0:map.get(IAccess.IP) %></td>
            <td><%=map.get(IAccess.FIRST_PV)==null?0:map.get(IAccess.FIRST_PV) %></td>
            <td><%=map.get(IAccess.ONLY_ONE_PV)==null?0:map.get(IAccess.ONLY_ONE_PV) %></td>
            <td><%=map.get(IAccess.STAY_TIME)==null?0:map.get(IAccess.STAY_TIME) %></td>
        </tr>
        <%
        }
        %>
          
      </table>
    </div>

    <script src="../bootstrap/js/jquery.min.js"></script>
    <script src="../bootstrap/js/bootstrap.min.js"></script>
    <script src="../bootstrap/js/ie10-viewport-bug-workaround.js"></script>
  	<script src="../js/jquery.cookie.js"></script>
  	<script src="../js/access.js"></script>
    
  	<script>
  	$(document).ready(function(){
  		if ( $.cookie('message') ) {
  			//处理Message
  			alert($.cookie('message'));
  			$.cookie('message','', {path:"/",expires:-1});
  		}
  	});
  	$("button").click(function(){
  		var resName = $("#resName").val();
  		var url = "../access/target.jsp?<%=IAccess.PARAM_SOURCE_DATE_TYPE%>=" + $(this).attr('v')+"&<%=IAccess.PARAM_RESOURCE_NAME%>=" + resName;
  		window.location.href=url;
  	});
  	</script>
  </body>
</html>