<%@ page language="java" import="com.nonesole.web.platform.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.*" %>
<%@ page language="java" import="com.nonesole.web.platform.i18n.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.user.*" %>
<%@ page language="java" import="com.nonesole.web.platform.safe.*" %>
<%@ page language="java" import="com.nonesole.web.platform.safe.verificationcode.*" %>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">
    <title><%=LocaleToolkit.getLocaleString(request, "page_login_title") %></title>
    <link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="css/01.css" rel="stylesheet">
	<script src="js/ie-emulation-modes-warning.js"></script>
	<!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	<!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
      <script src="../js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>

    <nav class="navbar roya-navbar-default navbar-static-top top-menu-bottom">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="roya-navbar-brand" href="#">
		  <img src="img/logo.png" width="263" height="60"/>
		  </a>
        </div>
        <div id="navbar" class="roya-div-header-right">
			<a href="#"><%=LocaleToolkit.getLocaleString(request, "page_login_link_1") %></a> | 
			<a href="#"><%=LocaleToolkit.getLocaleString(request, "page_login_link_2") %></a>
        </div><!--/.navbar-collapse -->
      </div>
    </nav>

    <!-- Main jumbotron for a primary marketing message or call to action -->
    <div class="roya-jumbotron index-screen-page">
	  <div class="container">
      <div class="leftdiv">
        <h1>&nbsp;</h1>
        <p>&nbsp;</p>
	  </div>
	  
	  <div class="rightdiv border-top-radius border-right-radius border-left-radius border-bottom-radius">

      <form class="form-signin" action="loginAction" method="post">
        <h3 class="form-signin-heading"><%=LocaleToolkit.getLocaleString(request, "page_login_label_1") %></h3>
        <label for="inputEmail" class="sr-only"><%=LocaleToolkit.getLocaleString(request, "page_login_label_2") %></label>
        <input type="text" id="userName" name="<%=UserEnum.PARAM_LOGIN_NAME %>" class="form-control" placeholder="<%=LocaleToolkit.getLocaleString(request, "page_login_label_2") %>" required autofocus>
        <label for="inputPassword" class="sr-only"><%=LocaleToolkit.getLocaleString(request, "page_login_label_3") %></label>
        <input type="password" id="userPassword" name="<%=UserEnum.PARAM_LOGIN_KEY %>" class="form-control" placeholder="<%=LocaleToolkit.getLocaleString(request, "page_login_label_3") %>" required>
        <%=SafeWall.getHtml(request) %>
        <div class="checkbox">
          <label>
            <input type="checkbox" name="<%=UserEnum.PARAM_REMEMBER_ME.toString() %>" value="<%=UserEnum.PARAM_VALUE_REMEMBER_ME.toString() %>"> <%=LocaleToolkit.getLocaleString(request, "page_login_label_4") %>
          </label>
        </div>
        <button class="btn btn-lg btn-primary btn-block" type="submit">
         	 <%=LocaleToolkit.getLocaleString(request, "page_login_btn_1") %>
        </button>
      </form>

      </div>
	  
	  </div><!--end of container-->
    </div>
	
    <div class="container">
      <hr>
      <footer class="footer-center">
        <p>&copy; nonesole.com  2009 - 2017</p>
      </footer>
    </div> <!-- /container -->

    <script src="bootstrap/js/jquery.min.js"></script>
    <script src="bootstrap/js/bootstrap.min.js"></script>
    <script src="bootstrap/js/ie10-viewport-bug-workaround.js"></script>
    <script src="js/jquery.cookie.js"></script>
    <script src="js/access.js"></script>
  	<script>
  	$(document).ready(function(){
  		if ( $.cookie('message') ) {
  			//处理Message
  			alert($.cookie('message'));
  			$.cookie('message','', {path:"/",expires:-1});
  		}
  	});
  	function changeImg(){     
        var imgSrc = $("#codeImg");     
        var src = imgSrc.attr("src");     
        imgSrc.attr("src",chgUrl(src));     
    }     
    
    //时间戳     
    //为了使每次生成图片不一致，即不让浏览器读缓存，所以需要加上时间戳     
    function chgUrl(url){     
        var timestamp = (new Date()).valueOf();     
        url = url.substring(0,18);     
        if((url.indexOf("&")>=0)){     
            url = url + "&timestamp=" + timestamp;     
        }else{     
            url = url + "?timestamp=" + timestamp;     
        }     
        //alert(url);
        return url;     
    } 
  	</script>
  	
  </body>
</html>
