<%@ page language="java" import="java.util.*" %>
<%@ page language="java" import="com.nonesole.web.platform.*" %>
<%@ page language="java" import="com.nonesole.web.platform.basic.*" %>
<%@ page language="java" import="com.nonesole.web.platform.pages.*" %>
<%@ page language="java" import="com.nonesole.web.platform.i18n.*" %>
<%@ page language="java" import="com.nonesole.web.platform.safe.*" %>
<%@ page language="java" import="com.nonesole.web.platform.safe.ipwhitelist.*" %>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>

<%
request.setAttribute(ParameterEnum.ACTION.toString(), IWhiteList.PARAM_QUERY_WHITE_IP);
ActionControler ac = ActionControler.getInstance();
ac.doAction(request, response);
Pages2<WhiteIP> pages = (Pages2<WhiteIP>)request.getAttribute(ICommon.ATTR_PAGES);
List<WhiteIP> ips = pages.getObjects();
String ip = request.getParameter(IWhiteList.FIELD_IP);
ip = (ip==null?"":ip);
%>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">
    <title><%=LocaleToolkit.getLocaleString(request, "page_safe_whitelist_label_1") %></title>
    <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="../css/01.css" rel="stylesheet">
	<script src="../js/ie-emulation-modes-warning.js"></script>
	<!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	<!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
      <script src="../js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
      <div class="panel panel-info">
      <!-- Default panel contents -->
      <div class="panel-heading list_page_title"><%=LocaleToolkit.getLocaleString(request, "page_safe_whitelist_label_1") %></div>
      <div class="panel-body">
        <form method="post" id="qform" action="whitelist.jsp">
        	<input type="hidden" name="<%=ParameterEnum.ACTION.toString() %>" value="<%=IWhiteList.PARAM_QUERY_WHITE_IP %>" />
	        <button type="submit" id="querybtn" class="btn btn-sm btn-info query_button"><%=LocaleToolkit.getLocaleString(request, "page_safe_whitelist_btn_1") %></button>
			<div class="query_condition input-group-sm">
				<input type="text" name="<%=IWhiteList.FIELD_IP %>" class="form-control" placeholder="<%=LocaleToolkit.getLocaleString(request, "page_safe_whitelist_label_2") %>" value="<%=ip %>"/>
			</div>
		</form>
        <p class="list_page_content">
        <button type="button" id="add" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_safe_whitelist_btn_2") %></button>
        <button type="button" id="delete" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_safe_whitelist_btn_3") %></button>
        <button type="button" id="open" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_safe_whitelist_btn_4") %></button>
        <button type="button" id="close" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_safe_whitelist_btn_5") %></button>
        </p>
      </div>
	  <input type="hidden" id="page-size" value="<%=pages.getNumberOfRows() %>">
	  <form method="post" id="form" action="../action">
	  <input type="hidden" id="<%=ParameterEnum.ACTION.toString() %>" name="<%=ParameterEnum.ACTION.toString() %>" value="" />
      <!-- Table -->
      <table class="table table-bordered">
        <thead>
          <tr>
            <th class="info" width="20">
				<label class="checkbox-inline">
				  <input type="checkbox" id="allselected">&nbsp;
				</label>
			</th>
            <th class="info"><%=LocaleToolkit.getLocaleString(request, "page_safe_whitelist_label_3") %></th>
            <th class="info"><%=LocaleToolkit.getLocaleString(request, "page_safe_whitelist_label_4") %></th>
          </tr>
        </thead>
        <tbody>
          <%
          if ( ips != null && !ips.isEmpty() ) {
        	  int rowNumber = 1;
        	  for ( WhiteIP obj : ips ) {
          %>
          <tr>
            <td>
				<label class="checkbox-inline">
				  <input type="checkbox" name="<%=IWhiteList.PARAM_WHITE_IPS %>" id="<%=rowNumber %>" value="<%=obj.getId() %>">&nbsp;
				</label>
			</td>
            <td id="username<%=rowNumber %>"><%=obj.getIp() %></td>
            <td><%=obj.getIPStatus(request) %></td>
          </tr>
          <%
              rowNumber++;
        	  }
          }
          %>
        </tbody>
      </table>
	  </form>  
    </div>
    
    <!-- TODO 可以抽象出来的翻页代码 -->
	<!-- div class="manu"><span class="disabled"> <  Prev</span><span class="current">1</span><a href="#?page=2">2</a><a href="#?page=3">3</a><a href="#?page=4">4</a><a href="#?page=5">5</a><a href="#?page=6">6</a><a href="#?page=7">7</a>...<a href="#?page=199">199</a><a href="#?page=200">200</a><a href="#?page=2">Next  > </a></div -->
	<%=pages.toHTML() %>
	
    <script src="../bootstrap/js/jquery.min.js"></script>
    <script src="../bootstrap/js/bootstrap.min.js"></script>
    <script src="../bootstrap/js/ie10-viewport-bug-workaround.js"></script>
  	<script src="../js/jquery.cookie.js"></script>
  	<script src="../js/access.js"></script>
  	
  </body>
  
  <script>
  	$(document).ready(function(){
  		if ( $.cookie('message') ) {
  			//处理Message
  			alert($.cookie('message'));
  			$.cookie('message','', {path:"/",expires:-1});
  		}
  		$("#add").click(function(){
  			location.href = "../safe/whiteip.jsp";
  		});
  		$("#delete").click(function(){
  			var size = $("#page-size").val();
  			var checked = false;
  			for ( var i = 0 ; i < size ; i++ ) {
  				var index = i+1;
  				checked = $("#"+index).is(':checked');
  				if( checked ){
  					break;
  				}
  			}
  			if ( !checked ) {
  				alert("<%=LocaleToolkit.getLocaleString(request, "page_safe_whitelist_label_5") %>");
  				return;
  			}
  			$("#<%=ParameterEnum.ACTION.toString() %>").val("<%=IWhiteList.PARAM_DELETE %>");
  			$("#form").attr("action","../action");
  			$("#form").submit();
  		});
  		$("#open").click(function(){
  			var size = $("#page-size").val();
  			var checked = false;
  			for ( var i = 0 ; i < size ; i++ ) {
  				var index = i+1;
  				checked = $("#"+index).is(':checked');
  				if( checked ){
  					break;
  				}
  			}
  			if ( !checked ) {
  				alert("<%=LocaleToolkit.getLocaleString(request, "page_safe_whitelist_label_5") %>");
  				return;
  			}
  			$("#<%=ParameterEnum.ACTION.toString() %>").val("<%=IWhiteList.PARAM_OPEN %>");
  			$("#form").attr("action","../action");
  			$("#form").submit();
  		});
  		$("#close").click(function(){
  			var size = $("#page-size").val();
  			var checked = false;
  			for ( var i = 0 ; i < size ; i++ ) {
  				var index = i+1;
  				checked = $("#"+index).is(':checked');
  				if( checked ){
  					break;
  				}
  			}
  			if ( !checked ) {
  				alert("<%=LocaleToolkit.getLocaleString(request, "page_safe_whitelist_label_5") %>");
  				return;
  			}
  			$("#<%=ParameterEnum.ACTION.toString() %>").val("<%=IWhiteList.PARAM_CLOSE %>");
  			$("#form").attr("action","../action");
  			$("#form").submit();
  		});
  		$("#allselected").click(function(){  	
  			//使用prop而不能使用attr，attr只能执行一遍
  			var isChecked = $(this).prop("checked");
  		    $("input[name='<%=IWhiteList.PARAM_WHITE_IPS %>']").prop("checked", isChecked);
  		});
  	});
  	</script>
</html>
