<%@ page language="java" import="java.net.*" %>
<%@ page language="java" import="java.io.*" %>
<%@ page language="java" import="java.util.*" %>
<%@ page language="java" import="java.sql.*" %>
<%@ page language="java" import="java.lang.management.*" %>
<%@ page language="java" import="com.nonesole.persistence2.connection.pool.*" %>
<%@ page language="java" import="com.nonesole.web.platform.*" %>
<%@ page language="java" import="com.nonesole.web.platform.i18n.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.database.*" %>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
  
<%
request.setAttribute(ParameterEnum.ACTION.toString(), IDatabase.PARAM_GET_DATA_BASE_INFO);
ActionControler ac = ActionControler.getInstance();
ac.doAction(request, response);
Database database = (Database)request.getAttribute(IDatabase.ATTR_DATA_BASE_INFO);
%>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">
    <title><%=LocaleToolkit.getLocaleString(request, "page_server_dbinfo_title") %></title>
    <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="../css/01.css" rel="stylesheet">
	<script src="../js/ie-emulation-modes-warning.js"></script>
	<!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	<!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
      <script src="../js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
      <div class="panel panel-info">
      <!-- Default panel contents -->
      <div class="panel-heading list_page_title"><%=LocaleToolkit.getLocaleString(request, "page_server_dbinfo_label_1") %></div>
      <div class="panel-body">
        <p class="list_page_content">
        <button type="button" id="backup" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_server_dbinfo_btn_1") %></button>
        </p>
      </div>
      <!-- Table -->
      <table class="table table-bordered">
        <thead>
          <tr>
            <th class="info" width="300"><%=LocaleToolkit.getLocaleString(request, "page_server_dbinfo_label_2") %></th>
            <th class="info"><%=LocaleToolkit.getLocaleString(request, "page_server_dbinfo_label_3") %></th>
          </tr>
        </thead>
        <tbody>
          <%
          if ( database != null ) {
          %>
          <tr>
            <td><%=LocaleToolkit.getLocaleString(request, "page_server_dbinfo_label_4") %></td>
			<td><%=database.getProductName() %></td>
          </tr>
          <tr>
            <td><%=LocaleToolkit.getLocaleString(request, "page_server_dbinfo_label_5") %></td>
			<td><%=database.getProductVersion() %></td>
          </tr>
          <tr>
            <td><%=LocaleToolkit.getLocaleString(request, "page_server_dbinfo_label_6") %></td>
			<td><%=database.getDirverVersion() %></td>
          </tr>
          <tr>
            <td><%=LocaleToolkit.getLocaleString(request, "page_server_dbinfo_label_7") %></td>
			<td><%=database.getCatalog() %></td>
          </tr>
          <%
          }
          %>
        </tbody>
      </table> 
      <!-- Table -->
      <table class="table table-bordered">
        <thead>
          <tr>
            <th class="info" width="300"><%=LocaleToolkit.getLocaleString(request, "page_server_dbinfo_label_8") %></th>
            <th class="info"><%=LocaleToolkit.getLocaleString(request, "page_server_dbinfo_label_9") %></th>
          </tr>
        </thead>
        <tbody>
          <%
          if ( database != null && database.getTables() != null ) {
        	  TableBean table = null;
        	  for ( int i = 0 ; i < database.getTables().size() ; i++ ) {
        		  table = database.getTables().get(i);
          %>
          <tr>
            <td><%=table.getName() %></td>
			<td><%=table.getDescription() %></td>
          </tr>
          <%
        	  }
          }
          %>
        </tbody>
      </table> 
    </div>
    
    <!-- TODO 可以抽象出来的翻页代码 -->
	<!-- div class="manu"><span class="disabled"> <  Prev</span><span class="current">1</span><a href="#?page=2">2</a><a href="#?page=3">3</a><a href="#?page=4">4</a><a href="#?page=5">5</a><a href="#?page=6">6</a><a href="#?page=7">7</a>...<a href="#?page=199">199</a><a href="#?page=200">200</a><a href="#?page=2">Next  > </a></div -->
	<%//pages.toHTML() %>

    <script src="../bootstrap/js/jquery.min.js"></script>
    <script src="../bootstrap/js/bootstrap.min.js"></script>
    <script src="../bootstrap/js/ie10-viewport-bug-workaround.js"></script>
  	<script src="../js/jquery.cookie.js"></script>
  	<script src="../js/access.js"></script>
  	<script>
  	$(document).ready(function(){
  		var selectedNode = null;
  		if ( $.cookie('message') ) {
  			//处理Message
  			alert($.cookie('message'));
  			$.cookie('message','', {path:"/",expires:-1});
  		}
  		$("#backup").click(function(){
  			location.href = "dbbackup.jsp";
  		});
  	});
  	</script>
  </body>
</html>