<%@ page language="java" import="java.net.*" %>
<%@ page language="java" import="java.io.*" %>
<%@ page language="java" import="java.util.*" %>
<%@ page language="java" import="java.lang.management.*" %>
<%@ page language="java" import="com.nonesole.web.platform.i18n.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.*" %>
<%@ page language="java" import="org.hyperic.sigar.*" %>

<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page errorPage="sigar_error.jsp" %>   
<%
Sigar sigar = new Sigar();
if ( sigar != null ) {
%>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">
    <title><%=LocaleToolkit.getLocaleString(request, "page_server_info_title") %></title>
    <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="../css/01.css" rel="stylesheet">
	<script src="../js/ie-emulation-modes-warning.js"></script>
	<!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	<!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
      <script src="../js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
    <div class="panel panel-info">
      <!-- Default panel contents -->
      <div class="panel-heading list_page_title"><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_3") %></div>
      <!-- Table -->
      <table class="table table-bordered">
        <tbody>
         <tr>
			<td width="100"><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_4") %></td>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_5") %></td>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_6") %></td>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_7") %></td>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_8") %></td>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_9") %></td>
          </tr>
        <%
        int cpuCount = sigar.getCpuInfoList().length;
     	//CPU的总量（单位：HZ）及CPU的相关信息
     	//不管是单块CPU还是多CPU都适用
     	CpuInfo infos[] = sigar.getCpuInfoList();
     	CpuPerc cpuList[] = sigar.getCpuPercList();
     	CpuInfo info = null;
     	CpuPerc prec = null;
     	for (int i = 0; i < infos.length; i++) {
     		info = infos[i];
     		prec = cpuList[i];
        %>
          <tr>
			<td width="100"><%=i+1 %></td>
			<td>
				<%=info.getVendor() %>
			</td>
			<td>
				<%=info.getModel() %>
			</td>
			<td>
				<%=PlatformTools.double2PercentString(prec.getSys()) %>
				
			</td>
			<td>
				<%=PlatformTools.double2PercentString(prec.getUser()) %>
			</td>
			<td>
				<%=PlatformTools.double2PercentString(prec.getIdle()) %>
			</td>
          </tr>
        <%
     	}
        %>
        </tbody>
      </table>
    </div>
    
    <div class="panel panel-info">
    <div class="panel-heading list_page_title"><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_10") %></div>
      <!-- Table -->
      <table class="table table-bordered">
        <tbody>
          <tr>
			<td width="100"><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_11") %></td>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_12") %></td>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_13") %></td>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_14") %></td>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_15") %></td>
          </tr>
          	<%
         	//取硬盘已有的分区及其详细信息（通过sigar.getFileSystemList()来获得FileSystem列表对象，然后对其进行编历
    		FileSystem fslist[] = sigar.getFileSystemList();
          	FileSystem fs = null;
          	FileSystemUsage usage = null;
          	int num = 1;
    		for (int i = 0; i < fslist.length; i++) {
    			fs = fslist[i];
    			if ( fs.getType() == 2 ) {//文件系统类型:硬盘
    				usage = sigar.getFileSystemUsage(fs.getDirName());
	        %>
          <tr>
			<td width="100"><%=num %></td>
			<td>
				<%=fs.getDirName() %>
			</td>
			<td>
				<%=fs.getSysTypeName() %>
			</td>
			<td>
				<%=PlatformTools.double2String(usage.getTotal()/(1024*1024)) %>GB
			</td>
			<td>
				<%=PlatformTools.double2PercentString(usage.getUsePercent()) %>
			</td>
          </tr>
         <%
	    		num++;
    			}
	     	 }
         %>
        </tbody>
      </table>
    </div>
    
    <div class="panel panel-info">
    <div class="panel-heading list_page_title"><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_16") %></div>
      <!-- Table -->
      <table class="table table-bordered">
        <tbody>
          <tr>
			<td width="200"><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_17") %></td>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_18") %></td>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_19") %></td>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_20") %></td>
          </tr>
          	<%
         	//物理内存信息
    		Mem mem = sigar.getMem();
         	//系统页面文件交换区信息
    		Swap swap = sigar.getSwap();
	        %>
          <tr>
			<td width="100"><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_21") %></td>
			<td>
				<%=mem.getTotal() / 1024L / 1024 / 1024 %>G
			</td>
			<td>
				<%=mem.getUsed() / 1024L / 1024 / 1024%>G
			</td>
			<td>
				<%=mem.getFree() / 1024L / 1024 / 1024%>G
			</td>
          </tr>
          <tr>
			<td width="100"><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_22") %></td>
			<td>
				<%=swap.getTotal() / 1024L / 1024 / 1024%>G
			</td>
			<td>
				<%=swap.getUsed() / 1024L / 1024 / 1024%>G
			</td>
			<td>
				<%=swap.getFree() / 1024L / 1024 / 1024%>G
			</td>
          </tr>
          
        </tbody>
      </table>
    </div>
    
    
    <div class="panel panel-info">
    <div class="panel-heading list_page_title"><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_23") %>(<%=LocaleToolkit.getLocaleString(request, "page_server_info_label_24") %><%=InetAddress.getLocalHost().getCanonicalHostName() %>)</div>
      <!-- Table -->
      <table class="table table-bordered">
        <tbody>
          <tr>
			<td width="100"><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_25") %></td>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_26") %></td>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_27") %></td>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_28") %></td>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_29") %></td>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_30") %></td>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_31") %></td>
          </tr>
            <%
         	//获取网络流量等信息
    		String ifNames[] = sigar.getNetInterfaceList();
            String name = null;
            NetInterfaceConfig ifconfig = null;
            NetInterfaceStat ifstat = null;
            num = 1;
    		for (int i = 0; i < ifNames.length; i++) {
    			name = ifNames[i];
    			ifconfig = sigar.getNetInterfaceConfig(name);
    			ifstat = sigar.getNetInterfaceStat(name);
    			if ( !"0.0.0.0".equals(ifconfig.getAddress()) ) {//过滤掉无效的IP地址
    				
	        %>
          <tr>
			<td><%=num %></td>
			<td><%=name %></td>
			<td><%=ifconfig.getAddress() %></td>
			<td><%=ifconfig.getNetmask() %></td>
			<td><%=ifstat.getRxBytes() / 1024L / 1024 %>MB / <%=ifstat.getTxBytes() / 1024L / 1024 %>MB</td>
			<td>
			<%if ( ifstat.getRxPackets() == 0 ) {%>
			0.00%
			<%} else { %>
			<%=PlatformTools.double2PercentString(ifstat.getRxErrors()/ifstat.getRxPackets()) %> 
			<%} %>
			/ 
			<%if ( ifstat.getTxPackets() == 0 ) {%>
			0.00%
			<%} else { %>
			<%=PlatformTools.double2PercentString(ifstat.getTxErrors()/ifstat.getTxPackets()) %>
			<%} %>
			</td>
			<td>
			<%if ( ifstat.getRxPackets() == 0 ) {%>
			0.00%
			<%} else { %>
			<%=PlatformTools.double2PercentString(ifstat.getRxDropped()/ifstat.getRxPackets()) %> 
			<%} %>
			/ 
			<%if ( ifstat.getTxPackets() == 0 ) {%>
			0.00%
			<%} else { %>
			<%=PlatformTools.double2PercentString(ifstat.getTxDropped()/ifstat.getTxPackets()) %>
			<%} %>
			</td>
          </tr>
          <%
          			num++;
    			}
	     	 }
          %>
        </tbody>
      </table>
    </div>
    
    <div class="panel panel-info">
      <div class="panel-heading list_page_title"><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_32") %></div>
      <!-- Table -->
      <table class="table table-bordered">
        <tbody>
          <%
   		  //取当前操作系统的信息
   		  OperatingSystem os = OperatingSystem.getInstance();
          %>
          <tr>
			<td width="100"><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_33") %></td>
			<td>
				<%=os.getDescription() + " " + os.getPatchLevel() +" ( "+ os.getArch() +" )" %>
			</td>
          </tr>
          <%
          Socket theTcpSocket = null;
          InetAddress hostAddress = InetAddress.getByName("127.0.0.1");
          int[] portArray = new int[]{1433,3306,1521};
          String dbName = "Unknow";
          for ( int port : portArray ) {
	          try {
	          	theTcpSocket = new Socket(hostAddress, port);
	          	theTcpSocket.close();
	          	switch( port ){
                	case 1433:
                		dbName = "SQL Server";
                		break;
                	case 1521:
                		dbName = "Oracle";
                		break;
                	case 3306:
                		dbName = "Mysql";
                		break;
	          	}
	          	
	          } catch (IOException e) {}
          }
          %>
          <tr>
			<td width="100"><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_34") %></td>
			<td><%=dbName %></td>
          </tr>
          <tr>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_35") %></td>
			<td><%=application.getServerInfo() %></td>
          </tr>
          <%
          RuntimeMXBean runtime = ManagementFactory.getRuntimeMXBean();
          %>
          <tr>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_36") %></td>
			<td><%=runtime.getVmName()+ " version "+ runtime.getVmVersion() + " (" + System.getProperty("java.version") + ")" %></td>
          </tr>
          <tr>
			<td><%=LocaleToolkit.getLocaleString(request, "page_server_info_label_37") %></td>
			<td><%=PlatformTools.version() %></td>
          </tr>
        </tbody>
      </table>
    </div>
    
    <!-- TODO 可以抽象出来的翻页代码 -->
	<!-- div class="manu"><span class="disabled"> <  Prev</span><span class="current">1</span><a href="#?page=2">2</a><a href="#?page=3">3</a><a href="#?page=4">4</a><a href="#?page=5">5</a><a href="#?page=6">6</a><a href="#?page=7">7</a>...<a href="#?page=199">199</a><a href="#?page=200">200</a><a href="#?page=2">Next  > </a></div -->
	<%//pages.toHTML() %>

    <script src="../bootstrap/js/jquery.min.js"></script>
    <script src="../bootstrap/js/bootstrap.min.js"></script>
    <script src="../bootstrap/js/ie10-viewport-bug-workaround.js"></script>
  	<script src="../js/jquery.cookie.js"></script>
  	<script src="../js/access.js"></script>
  	<script>
  	$(document).ready(function(){
  		if ( $.cookie('message') ) {
  			//处理Message
  			alert($.cookie('message'));
  			$.cookie('message','', {path:"/",expires:-1});
  		}
  	});
  	</script>
  </body>
</html>
<%}%>
