<%@ page language="java" import="java.net.*" %>
<%@ page language="java" import="java.io.*" %>
<%@ page language="java" import="java.util.*" %>
<%@ page language="java" import="java.lang.management.*" %>
<%@ page language="java" import="com.nonesole.web.platform.i18n.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.*" %>
<%@ page language="java" import="com.nonesole.log.*" %>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
   
<%
String logsPage = "logs.jsp";
String path = request.getParameter("f");
String s = "";
File file = null;
if ( PlatformTools.isNull(path) ) {
	response.sendRedirect(logsPage);
	return;
} else {
	if ( !path.endsWith(".log") ) {
		response.sendRedirect(logsPage);
		return;
	} else {
		LogProperties prop = LogProperties.getInstance();
		path = prop.getLogFolderPath() + "/" + path;
		file = new File(path);
		//为了避免读取超大文件对系统的压力，仅读取前500行。
		s = PlatformTools.loadFile(path, 500);
		//转义
		s = PlatformTools.htmlTransform(s);
	}
} 
%>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">
    <title><%=LocaleToolkit.getLocaleString(request, "page_server_log_title") %></title>
    <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="../css/01.css" rel="stylesheet">
	<script src="../js/ie-emulation-modes-warning.js"></script>
	<!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	<!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
      <script src="../js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>

    <div class="panel panel-info">
      <div class="panel-heading list_page_title"><%=LocaleToolkit.getLocaleString(request, "page_server_log_label_1") %>(<%=file.getName() %>)</div>
      <div class="panel-body">
        <p class="list_page_content">
        <button type="button" id="turnback" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_server_log_btn_1") %></button>
        </p>
      </div>
      <!-- Table -->
      <table class="table table-bordered">
        <tbody>
          <tr>
			<td>
			<textarea class="form-control" rows="20"><%=s %></textarea>
			</td>
          </tr>
        </tbody>
      </table>
    </div>
    
    <script src="../bootstrap/js/jquery.min.js"></script>
    <script src="../bootstrap/js/bootstrap.min.js"></script>
    <script src="../bootstrap/js/ie10-viewport-bug-workaround.js"></script>
  	<script src="../js/jquery.cookie.js"></script>
  	<script src="../js/access.js"></script>
  	<script>
  	$(document).ready(function(){
  		if ( $.cookie('message') ) {
  			//处理Message
  			alert($.cookie('message'));
  			$.cookie('message','', {path:"/",expires:-1});
  		}
  	});
  	$("button[id='turnback']").click(function(){
  		location.href = "logs.jsp";
  	});
  	</script>
  </body>
</html>