<%@ page language="java" import="com.nonesole.web.platform.*" %>
<%@ page language="java" import="com.nonesole.web.platform.i18n.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.user.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.rightset.*" %>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
   
<%
request.setCharacterEncoding("utf-8");
//使用post方式传值
RightSetView rsv = RightSetAction.getRightSetView(request);
ActionControler action = ActionControler.getInstance();
action.doAction(request, response);

/*
输入
actionName
idArray
nameArray
treeNodeString
fromObj
targetObj
title=fromObj关联targetObj

输出
obj1_idArray（idArray）
obj2_idArray（树）
*/

%>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">
    <title><%=rsv.getTitle(request) %></title>
    <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="../css/01.css" rel="stylesheet">
	<script src="../js/ie-emulation-modes-warning.js"></script>
	<link rel="stylesheet" href="../css/zTreeStyle/zTreeStyle.css" type="text/css">
	<!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	<!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
      <script src="../js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
      <form id="form" method="post" action="../action">
      <input type="hidden" name="<%=ParameterEnum.ACTION.toString() %>" value="<%=rsv.getActionName() %>" />
      <input type="hidden" name="<%=RightSetEnum.PARAM_FROM_ID.toString() %>" id="fromObjectId" value="<%=rsv.getFromObjectsId() %>" />
      <input type="hidden" name="<%=RightSetEnum.PARAM_TARGET_ID.toString() %>" id="targetObjectId" value="" />
      </form>
      <div class="panel panel-info">
      <!-- Default panel contents -->
      <div class="panel-heading list_page_title"><%=rsv.getSourceUrl() %><%=rsv.getTitle(request) %></div>
      <!-- Table -->
      <table class="table table-bordered">
        <tbody>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=rsv.getFromObjectTypeName() %></label></td>
            <td><label class="content_label"><%=rsv.getFromObjectsName()  %></label></td>
          </tr>
          <tr class="bg">
            <td class="content_page_width_1 td2"><label class="content_label"><%=rsv.getTargetObjectTypeName() %></label></td>
            <td><ul id="tree" class="ztree"></ul></td>
          </tr>
		  <tr class="bg">
            <td>&nbsp;</td>
            <td><button type="button" id="submitBtn" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_sys_rightset_btn_1") %></button></td>
          </tr>
        </tbody>
      </table>
    </div>
    <script src="../bootstrap/js/jquery.min.js"></script>
    <script src="../bootstrap/js/bootstrap.min.js"></script>
    <script src="../bootstrap/js/ie10-viewport-bug-workaround.js"></script>
    <script type="text/javascript" src="../js/jquery.ztree.all.min.js"></script>
	<script src="../js/jquery.cookie.js"></script>
  	<script src="../js/access.js"></script>
  	
	<SCRIPT type="text/javascript">
		<!--
		var setting = {
			check: {
				enable: true
			},
			data: {
				simpleData: {
					enable: true
				}
			}
		};

		var zNodes =<%=rsv.getTreeNodes()%>;
		var code;
		
		function setCheck() {
			var zTree = $.fn.zTree.getZTreeObj("tree"),
			py = $("#py").attr("checked")? "p":"",
			sy = $("#sy").attr("checked")? "s":"",
			pn = $("#pn").attr("checked")? "p":"",
			sn = $("#sn").attr("checked")? "s":"",
			type = { "Y" : "ps", "N" : "ps" };
			zTree.setting.check.chkboxType =  { "Y" : "ps", "N" : "ps" };
		}
		
		$(document).ready(function(){
			$.fn.zTree.init($("#tree"), setting, zNodes);
			setCheck();
			$("#py").bind("change", setCheck);
			$("#sy").bind("change", setCheck);
			$("#pn").bind("change", setCheck);
			$("#sn").bind("change", setCheck);
		});
		
		$("#submitBtn").click(function(){
			//将id拼成字符串，用逗号分隔
			var tree = $.fn.zTree.getZTreeObj("tree");
			var nodes = tree.getCheckedNodes();
			var id = "";
			for ( var i = 0 ; i < nodes.length ; i++ ) {
				var tId = nodes[i].id;
				id += tId;
				if ( i < nodes.length -1 ) {
					id += ",";
				}
			}
			$("#targetObjectId").attr("value",id);
  			$("#form").submit();
  		});
		

		//-->
	</SCRIPT>
  </body>
</html>