<%@ page language="java" import="com.nonesole.web.platform.*" %>
<%@ page language="java" import="com.nonesole.web.platform.i18n.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.user.*" %>
<%@ page language="java" import="javax.servlet.http.*"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
   
<%
//编辑页面有两种状态，新增或修改，不同的状态需要不同的处理方法
boolean isUpdate = PlatformTools.isUpdate(request,UserEnum.UPDATE_FUNC.toString());
String title = isUpdate?LocaleToolkit.getLocaleString(request, "page_sys_user_title_2"):LocaleToolkit.getLocaleString(request, "page_sys_user_title_1");
User u = null;
if ( isUpdate ) {
	//根据UserId查询User明细信息
	request.setAttribute(ParameterEnum.ACTION.toString(), UserEnum.GET_USER_DETAIL_FUNC.toString());
	ActionControler ac = ActionControler.getInstance();
	ac.doAction(request, response);
	Object obj = request.getAttribute(UserEnum.ATTR_USER_DETAIL.toString());
	if ( null != obj ) {
		u = (User)obj;
	}
}
%>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">
    <title><%=title %></title>
    <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="../css/01.css" rel="stylesheet">
	<script src="../js/ie-emulation-modes-warning.js"></script>
	<!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	<!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
      <script src="../js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
      <form method="post" action="../action">
      <input type="hidden" name="<%=ParameterEnum.ACTION.toString() %>" value="<%=isUpdate?UserEnum.UPDATE_FUNC.toString():UserEnum.ADD_FUNC.toString() %>" />
      <input type="hidden" name="<%=UserEnum.PARAM_USER_ID.toString() %>" value="<%=u==null?"":u.getId() %>" />
      <div class="panel panel-info">
      <!-- Default panel contents -->
      <div class="panel-heading list_page_title">
      <a href="users.jsp"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_label_1") %></a>&nbsp;&nbsp;>&nbsp;&nbsp;
      <%=title %>
      </div>
      <!-- Table -->
      <table class="table table-bordered">
        <tbody>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_sys_user_label_1") %></label></td>
            <td><input type="text" name="<%=UserEnum.PARAM_LOGIN_NAME.toString() %>" value="<%=u==null?"":u.getLogin_name() %>" class="form-control input-sm content_page_input_width_1" name="login_user_name" placeholder=""></td>
          </tr>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_sys_user_label_2") %></label></td>
            <td><input type="text" name="<%=UserEnum.PARAM_LOGIN_EMAIL.toString() %>" value="<%=u==null?"":u.getLogin_email() %>" class="form-control input-sm content_page_input_width_1" name="login_user_email" placeholder=""></td>
          </tr>
          <tr class="bg">
            <td class="content_page_width_1"><label class="content_label"><%=LocaleToolkit.getLocaleString(request, "page_sys_user_label_3") %></label></td>
            <td><input type="text" name="<%=UserEnum.PARAM_LOGIN_CELL_PHONE_NUMBER.toString() %>" value="<%=u==null?"":u.getLogin_cell_phone_number() %>" class="form-control input-sm content_page_input_width_1" name="login_cell_phone_number" placeholder=""></td>
          </tr>
		  <tr class="bg">
            <td>&nbsp;</td>
            <td><button type="submit" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_sys_user_btn_1") %></button></td>
          </tr>
        </tbody>
      </table>
    </div>
	</form>
    <script src="../bootstrap/js/jquery.min.js"></script>
    <script src="../bootstrap/js/bootstrap.min.js"></script>
    <script src="../bootstrap/js/ie10-viewport-bug-workaround.js"></script>
  	<script src="../js/jquery.cookie.js"></script>
  	<script src="../js/access.js"></script>
  </body>
</html>