<%@ page language="java" import="java.util.*" %>
<%@ page language="java" import="com.nonesole.web.platform.*" %>
<%@ page language="java" import="com.nonesole.web.platform.basic.*" %>
<%@ page language="java" import="com.nonesole.web.platform.pages.*" %>
<%@ page language="java" import="com.nonesole.web.platform.i18n.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.user.*" %>
<%@ page language="java" import="com.nonesole.web.platform.sys.userdetail.*" %>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
   
<%
//在新的框架中，JSP页面不做parameter的读取和处理，所有相关的操作都放到Action中
//JSP只需将View层的数据展现和交互做好
request.setAttribute(ParameterEnum.ACTION.toString(), UserDetailEnum.FUNC_FIND.toString());
ActionControler ac = ActionControler.getInstance();
ac.doAction(request, response);
Pages2<UserDetail> pages = (Pages2<UserDetail>)request.getAttribute(ICommon.ATTR_PAGES);
List<UserDetail> users = null;
if ( pages != null ) {
	users = pages.getObjects();
} else {
	users = new ArrayList<UserDetail>();
}

String condition = PlatformTools.getRequestParameter(request, ICommon.PARAM_QUERY_KEY_WORD);

String status = PlatformTools.getRequestParameter(request, UserEnum.ATTR_STATUS.toString());
boolean locked = "1".equals(status);
boolean normal = "0".equals(status);
%>
<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="img/favicon.ico">
    <title><%=LocaleToolkit.getLocaleString(request, "page_sys_users_detail_title") %></title>
    <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="../css/01.css" rel="stylesheet">
	<script src="../js/ie-emulation-modes-warning.js"></script>
	<!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	<!--[if lt IE 9]>
      <script src="../js/html5shiv.min.js"></script>
      <script src="../js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
      <div class="panel panel-info">
      <!-- Default panel contents -->
      <div class="panel-heading list_page_title"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_detail_label_1") %></div>
      <div class="panel-body">
        <form method="post" id="qform" action="users_detail.jsp">
        	<input type="hidden" name="<%=ParameterEnum.ACTION.toString() %>" value="<%=UserDetailEnum.FUNC_FIND.toString() %>" />
	        <button type="submit" id="querybtn" class="btn btn-sm btn-info query_button"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_detail_btn_1") %></button>
			<div class="query_condition input-group-sm">
				<input type="text" name="<%=ICommon.PARAM_QUERY_KEY_WORD %>" class="form-control" placeholder="<%=LocaleToolkit.getLocaleString(request, "page_sys_users_detail_label_7") %>" value="<%=condition %>"/>
			</div>
			<div class="query_condition_selected input-group-sm">
				<select class="form-control input-sm" name="<%=UserEnum.PARAM_STATUS.toString() %>">
					<option value=""><%=LocaleToolkit.getLocaleString(request, "page_sys_users_detail_select_1") %></option>
					<option value="0" <%=normal?"selected":"" %>><%=LocaleToolkit.getLocaleString(request, "page_sys_users_detail_select_2") %></option>
					<option value="1" <%=locked?"selected":"" %>><%=LocaleToolkit.getLocaleString(request, "page_sys_users_detail_select_3") %></option>
				</select>
			</div>
		</form>
        <p class="list_page_content">
        <button type="button" id="update" class="btn btn-sm btn-info"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_detail_btn_2") %></button>
        </p>
      </div>
	  <input type="hidden" id="page-size" value="<%=pages.getNumberOfRows() %>">
	  <form method="post" id="form" action="../action">
	  <input type="hidden" id="<%=ParameterEnum.ACTION.toString() %>" name="<%=ParameterEnum.ACTION.toString() %>" value="" />
      <!-- Table -->
      <table class="table table-bordered">
        <thead>
          <tr>
            <th class="info" width="20">
				<label class="checkbox-inline">
				  <input type="checkbox" id="allselected">&nbsp;
				</label>
			</th>
            <th class="info"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_detail_label_2") %></th>
            <th class="info"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_detail_label_3") %></th>
            <th class="info"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_detail_label_4") %></th>
            <th class="info"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_detail_label_6") %></th>
            <th class="info"><%=LocaleToolkit.getLocaleString(request, "page_sys_users_detail_label_5") %></th>
          </tr>
        </thead>
        <tbody>
          <%
          if ( users != null && !users.isEmpty() ) {
        	  int rowNumber = 1;
        	  for ( UserDetail u : users ) {
          %>
          <tr>
            <td>
				<label class="checkbox-inline">
				  <input type="checkbox" name="<%=UserDetailEnum.PARAM_USER_ID.toString() %>" id="<%=rowNumber %>" value="<%=u.getId() %>">&nbsp;
				</label>
				<input type="hidden" id="userid<%=rowNumber %>" value="<%=u.getId() %>">
			</td>
            <td><%=u.getLogin_name() %></td>
            <td><%=u.getNick_name() %></td>
            <td><%=u.getAge() %></td>
            <td><%=u.getQq_number() %></td>
            <td><%=u.getWechat_name() %></td>
          </tr>
          <%
              rowNumber++;
        	  }
          }
          %>
        </tbody>
      </table>
	  </form>  
    </div>
    
    <!-- TODO 可以抽象出来的翻页代码 -->
	<!-- div class="manu"><span class="disabled"> <  Prev</span><span class="current">1</span><a href="#?page=2">2</a><a href="#?page=3">3</a><a href="#?page=4">4</a><a href="#?page=5">5</a><a href="#?page=6">6</a><a href="#?page=7">7</a>...<a href="#?page=199">199</a><a href="#?page=200">200</a><a href="#?page=2">Next  > </a></div -->
	<%=pages.toHTML() %>

    <script src="../bootstrap/js/jquery.min.js"></script>
    <script src="../bootstrap/js/bootstrap.min.js"></script>
    <script src="../bootstrap/js/ie10-viewport-bug-workaround.js"></script>
  	<script src="../js/jquery.cookie.js"></script>
  	<script src="../js/access.js"></script>
  	<script>
  	$(document).ready(function(){
  		if ( $.cookie('message') ) {
  			//处理Message
  			alert($.cookie('message'));
  			$.cookie('message','', {path:"/",expires:-1});
  		}
  		$("#update").click(function(){
  			var size = $("#page-size").val();
  			var checked = false;
  			for ( var i = 0 ; i < size ; i++ ) {
  				var index = i+1;
  				checked = $("#"+index).is(':checked');
  				var userid = $("#"+index).val();
  				if ( checked ) {
  					location.href = "user_detail.jsp?<%=ParameterEnum.ACTION.toString()%>=<%=UserDetailEnum.FUNC_UPDATE.toString()%>&"+
  					"<%=UserDetailEnum.PARAM_USER_ID.toString()%>="+userid;
  					break;
  				}
  			}
  			if ( !checked ) {
  				alert("<%=LocaleToolkit.getLocaleString(request, "page_sys_users_detail_alert_1") %>");
  			}
  		});

  		$("#allselected").click(function(){  	
  			//使用prop而不能使用attr，attr只能执行一遍
  			var isChecked = $(this).prop("checked");
  		    $("input[name='<%=UserDetailEnum.PARAM_USER_ID.toString() %>']").prop("checked", isChecked);
  		});
  	});
  	</script>
  </body>
</html>